OTB-v 8.1.2 - Changes since version 8.1.1 (July 24th, 2023)

Bugs fixed:
  * !964: BUG: Fix default RCS parameter for PHR pansharpening by Thibaut ROMAIN
  * !960: BUG: Fix precision from float to double on the orthorectification app by Thibaut ROMAIN
  * !954: BUG: calling vmax on an image with negative values returns 0 as max instead of the real max by Thibaut ROMAIN
  * !949: Mosaic application fixes by Rémi CRESSON
  * !945: BUG: Fix wrong in-memory connection to OpticalCalibration by Thibaut ROMAIN
  * !944: Fix band metadata drop in ManageNoData application by Thibaut ROMAIN
  * !948: BUG: Fix segmentation fault with some S1 products with SarCalibration app by Thibaut ROMAIN

Documentation:
  * !961: add a caption on python APi about the zonalstatistics app problem by Thibaut ROMAIN
  * !956: add a before installation step in documentation to describe system dependencies to install by Thibaut ROMAIN
  * !952: Add some tips to use OTB python interfaces with rasterio and numpy by Yannick TANGUY
  * !947: Update Documentation/Cookbook/rst/recipes/sarprocessing.rst by Mickaël SAVINAUD 

CI:
  * !959: Update CI to replace CentOS7 with RedHat 8, minor dependencies updates for compilation compatibility with Ubuntu 22 by Thibaut ROMAIN

OTB-v 8.1.1 - Changes since version 8.1.0 (January 13th, 2023) 
--------------------------------------------------------------

Bugs fixed:
  * !933: Improve DEMHandler performances which fixes #2307 Spatial shifting with Orthorectifcation of Sentinel 1 products by Luc Hermitte

Documentation:
  * !944: Update OTB-Data link in the documentation by Thibaut ROMAIN

CI:
  * Update ZLIB to 1.2.13 by Thibaut ROMAIN (backport from !902)

OTB-v 8.1.0 - Changes since version 8.0.1 (September 14th, 2022)
----------------------------------------------------------------
Features added:

   * !926: rpcSolver: Avoid setting equation system multiple times by Julien Osman
   * !917: Avoid reloading the same DEM directory by Julien Osman
   * !904: Add default radius value to NewFunctorFilter overload by Laurențiu Nicola

Bugs fixed:

   * !922: Fix strange behavior of BandMath in python pipeline by calling RegisterPipeline() by Rémi Cresson
   * !920: Correctly take into account the extended filename writerpctag by Julien Osman
   * !918: Fix Pixel shift in pleiades orthorectification by Thibaut ROMAIN
   * !914: Read RPC model from images written by OTB by Julien Osman
   * !879: Fix SetParameterString for listview parameters by Cédric Traizet

Documentation:

   * !927: Multiple documentation improvements by Julien Osman
   * !915: Some documentation adjustments by Julien Osman
   * !889: HaralickTextureExtraction: Clarify the definition of the parameters xrad and yrad by Julien Osman
   * !887: Improve Python errors of mismatched types by Luc Hermitte

Refactoring:

   * !925: Remove code related to GenerateRPCSensorModel by Julien Osman

Licence and legislation matters:

   * !905: Remove the 'Lena' image by Julien Osman

Known issues:

   * #2306: BundleToPerfectSensor needs default mode for some PHR images
   * #2304: With some PHR and SPOT6-7 products, the DIMAP driver from GDAL does not handle all the needed metadata

OTB-v 8.0.1 - Changes since version 8.0.0 (April 27th, 2022)
---------------------------------------------------------------------

Bugs fixed:

   * !906: Add missing parts of python API by Julien Osman

CI:

   * !911: Upgrade zlib to version 1.2.12 and GDAL to version 3.4.2 by Julien Osman
  
Documentation:

   * !911: Fix formatting issue by Julien Osman
   * !911: Update warning message about python version by Julien Osman


OTB-v 8.0.0 - Changes since version 7.4.0 (March 22th, 2022)
---------------------------------------------------------------------

Features added:

   * !890: Improve ComputeImageStatistics by Rémi Cresson
   * !862: Add INFO message about metadata source by Julien Osman
   * !795: Improve opticalibration pleiades by Thibaut Romain
   * !793: Add a high level OTB_WRAP_QGIS cmake option and Fix BUILD_DEFAULT_MODULE bug when listing module dependencies by Thibaut Romain
   * !769: Missing kernels parameters in libsvm by Rémi Cresson
   * !767: Improve QGIS interface for ExtractROI application by Julien Cabieces
   * !697: Use Boost.SmallVec in BCO interpolator by Laurențiu Nicola

Bugs fixed:

   * !886: Fix FindNumpy.cmake by Cédric Traizet"
   * !857: Resolve "OTB stand alone package not support the virtual filesystem" by Mickael Savinaud
   * !842: Superbuild: compatibility between QT5 and MySQL by Cédric Traizet
   * !826: Treat Parameter_RAM as an integer parameter in SetParameterValue (Swig Wrapper) by Cédric Traizet
   * !810: Fix K parameter in KNearestNeighborsMachineLearningModel by Cédric Traizet
   * !788: Fix build issue when libSVM is OFF or libsiftfast is OFF and Testing ON by Thibaut romain
   * !775: Fix CosmoSkyMed ImageMetadataInterface by Cédric Traizet
   * !764: Deactivate PROJ's test building in the Superbuild by Julien Osman
   * !752: Fix output image from orthorectification having no projection by Cédric Traizet
   * !751: Disable noisy std output message by Brad Hards

Refactoring:

   * !881: Add a ClearElevationParameters method to the DEMHandler by Cédric Traizet
   * !873: WorldToEcef and EcefToWorld free functions by Cédric Traizet
   * !872: Implement a GetSize() function for the ImageMetadata class by Julien Osman
   * !868: Use std::chrono and the date library instead of boost date time by Cédric Traizet
   * !867: Remove DownloadSRTMTiles by Cédric Traizet
   * !865: Update geospatial libraries versions in Superbuild by Cédric Traizet and Thibaut Romain
   * !863: Use ImageMetadata to manage NoData and TileHint by Cédric Traizet
   * !858: Optimize coordinate transformations in SARSensorModel by Cédric Traizet"
   * !851: Remove Ossim by Cédric Traizet and Julien Osman
   * !845: Refactor GeocentricTransform and remove EllipsoidAdapter by Cédric Traizet
   * !844: Refactor the superimpose PHR mode by Cédric Traizet
   * !830: Implement otb::SarTransformBase, otb::SarForwardTransform and otb::SarInverseTransform by Julien Osman
   * !823: Implement Deburst algorithms by Cédric Traizet
   * !815: Update expat version in Superbuild by Cédric Traizet
   * !808: Implement SARSensorModel forward and inverse transforms by Cédric Traizet
   * !807: Use SAR metadata in SarRadiometricCalibrationToImageFilter by Julien Osman
   * !806: Implement a factory for sensor transforms by Thibaut Romain
   * !803: Implement SAR metadata parsing from geom files by Julien Osman
   * !796: Import capability for OTB metadata by Cédric Traizet
   * !778: Remove OSSIM dependency from SensorModel tests by Julien Osman
   * !776: Improve tests prTvTestCreateInverseForwardSensorModel by Julien Osman
   * !773: Refactor the OpticalCalibration application by Cédric Traizet
   * !770: Parse optical metadata from geom by Cédric Traizet
   * !768: Improve qgis parameter integration by Julien Cabieces
   * !765: Refactor optical image metadata interface by Cédric Traizet
   * !763: Compare image metadata in --compare-metadata by Cédric Traizet
   * !761: SAR metadata interfaces by Julie Brossard
   * !759: Reading the metadata from the geom files without OSSIM by Julien Osman
   * !744: Implementing an interface for sensor models and the RPC model by Julien Osman and Cédric Traizet
   * !729: DEM handler based on GDAL by Cédric Traizet
   * !707: Metadata refactoring by Guillaume Pasero, Julien Osman and Cédric Traizet

CI:

   * !884: ENH: Update vs2019 to latest build tools version by Thibaut Romain
   * !875: Update CI to use the latest centos7 version by Thibaut Romain
   * !869: Update macos version name in CI files by Cédric Traizet
   * !866: Add new cookbook page about supported formats by Julien Osman
   * !856: Update Python to 3.8 on CI builds by Thibaut Romain
   * !832: Simplification of the CI : remove jobs CentOS, Debian and Windows8 by Julien Osman
   * !824: Set new URL for FFTW download by Julien Osman
   * !822: Update openCV version to 4.5.1 for the SuperBuild, update the baseline for GEOS by Julien Osman
   * !798: Fix CI launches tests when a build fails by Thibaut Romain
   * !794: Superbuild archive CI job by Cédric Traizet
   * !740: Develop package names by Julie Brossard

Documentation:

   * !883: Improve the installation documentation by Cédric Traizet and Thibaut Romain
   * !882: Add a section on the QGIS plugin activation for QGIS > 3.22 by Cédric Traizet
   * !878: Fix the Python examples of string list parameters by Cédric Traizet
   * !877: Document a workaround for a Remote Module bug by Julien Osman
   * !867: Remove DownloadSRTMTiles by Cédric Traizet
   * !866: Add new cookbook page about supported formats by Julien Osman
   * !862: Add INFO message about metadata source by Julien Osman
   * !860: Fix warning message related to metadata reading by Julien Osman
   * !802: Deprecate the qgis plugin by Julien Osman
   * !800: Add legend for output colored images of Hoover Compare Segmentation by Julien Osman
   * !781: Update the documentation about Remote Modules by Thibaut romain
   * !780: Updating the documentation in preparation for OTB 8.0.0-alpha1 by Julien Osman
   

OTB-v 7.4.1 - Changes since version 7.4.0 (April 27th, 2022)
----------------------------------------------------------------

Features added:

   * Update DiapOTB to v1.1.0

OTB-v 7.4.0 - Changes since version 7.3.0 (September 3rd, 2021)
----------------------------------------------------------------

Bugs fixed:

 * !850: Fix onlyvalidsamples in SARDeburst and allpixels in SARBurstExtraction by Cédric Traizet
 * !849: FIX: mosaic output image size fit best inputs extents by Rémi Cresson
 * !831: bug fixes in Sentinel 1 calibration by Cédric Traizet
 * !837: Fix Superbuild compilation with gcc-8 by Guillaume Pasero
 * !838: ExtractROI: Test inverted extent on indices instead of physical coordinates by Julien Osman

Refactoring:

 * !788: Fix build issue when libSVM is OFF or libsiftfast is OFF and Testing ON by Thibaut Romain
 * !821: update expat version in the Superbuild to 2.4.1 by Julien Osman
 * !822: Update openCV version to 4.5.1 in the SuperBuild by Julien Osman
 * !828: refactoring of the TSX (and PAZ) sar sensor model by Gaëlle Usseglio
 * !835: Update geotiff version in the Superbuild to 1.7.0 by Cédric Traizet
 * !836: Use Horner method for polynomial evaluation in SAR calibration by Luc Hermitte
 * !839: Rename the noise parameter into removenoise in SARCalibration by Cédric Traizet
 * !840: Remove the "working around a kernel bug" warning during OTB binary package installation by Cédric Traizet

Documentation:

 * !833: Add deprecated tags in preparation for release 8.0.0 by Julien Osman and Cédric Traizet


OTB-v 7.3.0 - Changes since version 7.2.0 (May 7th, 2021)
----------------------------------------------------------------

Bugs fixed:

   * !804: Remove thermal noise in S1 calibration by Cédric Traizet
   * !810: Fix KNearestNeighborsMachineLearningModel by Cédric Traizet

Refactoring:

   * !772: Refactor ResetMargin app (add an ROI and Margin mode) by Guillaume Pasero and Thibaut Romain
   * !809: Update DiapOTB version to 1.0.1 by Julien Osman
   * !815: Update Expat version in Superbuild to 2.3 by Cédric Traizet and Thibaut Romain
   * !813: Update superbuild dependencies for FFTW to 3.3.9 by Mickaël Savinaud and Thibaut Romain
   * !814: Update superbuild dependencies for GEOS to 3.6.5 by Mickaël Savinaud and Thibaut Romain
   * !812: Update OpenJPEG to the last patch version of 2.3 (2.3.1) by Mickaël Savinaud and Thibaut Romain
   * !811: Upgrade Superbuild GDAL to 3.2.2 by Laurențiu Nicola
   * Commit on branch release-7.3 : Update Zlib version to 1.2.11 by Thibaut Romain
   * Commit on branch release-7.3 : Update OpenCV version to 4.1.2 by Thibaut Romain
   * Commit on branch release-7.3 : Update NetCDF version to 4.7.4 by Thibaut Romain
   * Commit on branch release-7.3 : Update LibJPEG-turbo to 1.4.2 by Thibaut Romain
   * Commit on branch release-7.3 : Update MuparserX to 4.0.8 by Thibaut Romain
   * Commit on branch release-7.3 : Update OpenSSL version to 1.1.1k by Thibaut Romain
   * Commit on branch release-7.3 : Update OpenThreads version to 3.4.1 by Thibaut Romain
   * Commit on branch release-7.3 : Update SWIG version to 3.0.12 by Thibaut Romain
   * Commit on branch release-7.3 : Update QWT to 6.1.6 by Thibaut Romain
   * Commit on branch release-7.3 : Update LibPNG to 1.6.37 by Thibaut Romain

CI:

   * !815: Update VC version in Windows CI builds to VS2019 by Thibaut Romain

OTB-v 7.2.0 - Changes since version 7.1.0 (October 02nd, 2020)
----------------------------------------------------------------

Features added:

   * !736: Integrate S1Tiling support apps as official remote module by Luc Hermitte
   * !709: Add \"epsg\" filename extension by Julien Osman
   * !708: Spectral angle classification by Cédric Traizet
   * !704: Pantex texture extraction application by Cédric Traizet

Bugs fixed:

   * !726: "Release the Python Global Interpreter Lock (GIL) during execution" by Luc Hermitte, Julien Osman and Cédric Traizet
   * !730: Freetype and libPNG detection in QT5 by Cédric Traizet
   * !727: FIX: StreamingMosaicFilter children can have a different number of components per pixel at output by Rémi Cresson
   * !725: Fix superbuild with OpenCV4 by Cédric Traizet
   * !720: Fix spatial reference equality tests by Cédric Traizet
   * !714: BUG: #2046 Add an epsilon margin to compute the m_ReachableOutputRegion by Julien Osman
   * !705: Initialize seed with std::time if not user-supplied by Guillaume Pernot
   * !696: Fix warnings by Cédric Traizet

Refactoring:

   * !731: Update MuParser in Superbuild by Cédric Traizet and Julie Brossard
   * !715: Update GDAL version in superbuild (3.1.0) by Cédric Traizet
   * !711: Updates QT5, ITK and pcre by Cédric Traizet
   * !698: ENH: Use std::move instead of boost::move by Laurențiu Nicola
   * !694: Update ul_lon/lat, ur_lon/lat, lr_lon/lat and ll_lon/lat for CosmoSkymed Sensor by Gaëlle USSEGLIO
   * !683: Refactor compare image by Cédric Traizet

CI:

   * !721: Deploy Doxygen documentation in CI by Cédric Traizet
   * !719: Fix Centos CI build by Cédric Traizet

Documentation:

   * !754: Fix spelling errors by Bas Couwenberg
   * !738: Update PSC information by Julien Osman
   * !735: Correct menu instructions to open application-browser in Monteverdi by Julien Osman
   * !728: DOC: Deprecate methods that will be removed in OTB 8.0.0 by Julien Osman
   * !722: Clean QGIS interface documentation according migration into QGIS documentation by Mickael Savinaud
   * !716: Error in the documentation of the QGIS plugin by Cédric Traizet
   * !713: Update documentation for QGIS, Python and multiwriter by Cédric Traizet
   * !702: DOC: correct filthy typo by Rémi Cresson
   * !695: DOC: Fixed typos by guillaume pernot


OTB-v 7.1.0 - Changes since version 7.0.0 (March 16th, 2020)
----------------------------------------------------------------

Features added:


   * !681: ENH: allow HTTP GDAL datasets by Laurențiu Nicola
   * !673: Smoothing application enhancement by Cédric Traizet
   * !655: BUG: migrate to QOpenGLWidget by Victor Poughon
   * !644: Fast nlmeans filter by Carole Amiot
   * !642: Resolve ExtractROI: keep GCPs by Guillaume Pasero
   * !628: Added 'double' application parameter type. by guillaume pernot
   * !618: Integration of the multiImageFileWriter in the application engine by Cédric Traizet

Bugs fixed:

   * !701: Error when opening ENVI datasets by Cédric Traizet
   * !699: Fix listview parameter in TrainImagesClassifier
   * !679: COMP: Remove RemoteSensingRegion assignment operator by Laurențiu Nicola
   * !678: BUG: Fix warnings and possible UB in `VariadicInputsImageFilter::SetInputsImpl` by Laurențiu Nicola
   * !677: Fix debian build by Cédric Traizet
   * !674: BUG: Fix nodata handling in StreamingStatisticsMapFromLabelImageFilter by Laurențiu Nicola
   * !667: Short Integer overflow in tests by Cédric Traizet
   * !662: Update netcdf version in Superbuild to 4.7.3 by Cédric Traizet
   * !660: COMP: Fix Variadic Input Image Filters for g++8.2.0 by Luc Hermitte
   * !658: Allow UserValue modification from within application's DoExecute by guillaume pernot
   * !656: input centroid should not be mandatory in TrainVectorClassifier and TrainImagesClassifier by Cédric Traizet
   * !655: BUG: migrate to QOpenGLWidget by Victor Poughon
   * !654: Missing RAM parameter in StereoRectificationGridGenerator application by Julien Michel
   * !653: Warning cleaning by Guillaume Pasero
   * !649: Resolve \Mosaic do not work anymore with rgb mode\ by Rémi Cresson
   * !647: Fixed lookup table stacking order by guillaume pernot
   * !646: removed duplicate Scene.png by guillaume pernot
   * !641: FIX PCA transformation matrix computation by Cédric Traizet
   * !640: Fixed lost reference of \buffer\ in VectorPrediction update mode by guillaume pernot
   * !637: BUG: better check for TIXML_USE_STL by Victor Poughon
   * !636: Fix gcc8 compilation by guillaume pernot
   * !634: COMP: Added gcc9 support for ITK by guillaume pernot
   * !633: Added otb_opencv_api.h in packages by guillaume pernot
   * !626: FIX: check that input image is not null by Rémi Cresson
   * !624: Fix GEOS errors from self intersecting polygons in and fix OPENCV path in debian CI build by Cédric Traizet
   * !617: TEST: Force ITK_GLOBAL_DEFAULT_NUMBER_OF_THREADS=4 by guillaume pernot
   * !616: TEST: rename ToulousePoints-examples.shp to toulousepoints_examples.shp by guillaume pernot
   * !613: Additional tests for the ExtractROI application by Cédric Traizet
   * !606: Check band index on each pixel by guillaume pernot

Refactoring:

   * !673: Smoothing application enhancement by Cédric Traizet
   * !671: Update diapotb git tag by Cédric Traizet
   * !667: Short Integer overflow in tests by Cédric Traizet
   * !662: Update netcdf version in Superbuild to 4.7.3 by Cédric Traizet
   * !657: Drop OpenCV 2 support by Cédric Traizet
   * !652: Update openjpeg version in superbuild by David Youssefi
   * !651: Resolve \Move FilterFunctionValues and MetadataKey to OTBMetadata\ by Guillaume Pasero
   * !631: Upgrade PROJ GEOTIFF and GDAL in Superbuild by Cédric Traizet
   * !619: Some work on BandMathX tests by guillaume pernot
   * !614: Stop in cmake configure when the compiler is not supported by Cédric Traizet
   * !613: Additional tests for the ExtractROI application by Cédric Traizet
   * !607: CMake Code Cleaning (part 1) by Victor Poughon

CI:

   * !680: CI: Split conda-build and conda-deploy by guillaume pernot
   * !676: Fixed conda-build by guillaume pernot
   * !675: CI: Fixed debian-build and conda-build 'needs' by guillaume pernot
   * !672: Fix CookBook deployment by Cédric Traizet
   * !669: CI: Prelimenary conda build by guillaume pernot
   * !666: Out-of-order jobs execution by Sébastien Dinot
   * !665: Identify Arthur Vincent as contributor in .mailmap by Sébastien Dinot
   * !664: test MacOS mojave on CI by Cédric Traizet
   * !663: ENH: Update .mailmap file for Luc Hermitte by Luc Hermitte
   * !638: Use proper cmake file for debian-testing CI by guillaume pernot
   * !635: CI: debian-build uses debian/testing by guillaume pernot
   * !630: CI: Added CI_ALLOW_FAILURE for cdash_handler.py by guillaume pernot
   * !629: CI: Allow failure of debian/unstable build by guillaume pernot
   * !615: CI: allow sonarqube to run on forked tree by guillaume pernot
   * !610: CI: Fixed error computation in otbBandMathXImageFilter by guillaume pernot
   * !574: Deploy cookbook by Antoine Regimbeau

Documentation:

   * !639: Update QGISInterface.rst to clarify plugin setup with QGIS > 3.8 by guillaume pernot
   * !611: Update the  CompilingOTBFromSource Cookbook section by Cédric Traizet
   * !604: Document matrix variable definition limitation in BandMathX by Cédric Traizet


OTB-v.7.0.0 - Changes since version 6.6.0 (October 29th, 2019)
----------------------------------------------------------------

Features added:

   * !596: Move Mosaic in OTB by Rémi Cresson
   * !586: Add a new metadata (azimuthAnxTime) to Sentinel 1 Model by Gaëlle USSEGLIO
   * !566: Package Python wrappers sources by Guillaume Pasero
   * !565: Application VectorRegression by Cédric Traizet
   * !508: New mode (SpotLight) for Cosmo sensor model by Gaëlle USSEGLIO
   * !487: Refactor XML parameters by Victor Poughon
   * !470: KMeans input centroids by Cédric Traizet
   * !468: Design improvements of applications Qt Wrapper by Victor Poughon
   * !454: Filter mouse wheel event in QComboBox of app parameters by Victor Poughon
   * !452: ENH: Improve errors messages when loading app fail by Luc Hermitte
   * !426: ENH: add GeoJSON driver and simplify driver selection by Jordi Inglada
   * !414: Qgis parameter by Antoine Regimbeau
   * !405: Logging in python wrapper by Cédric Traizet
   * !396: Fix issue on reduced OTB-data by Stéphane Albert
   * !386: New SAR sensor Model (CosmoSkymed) by Gaëlle USSEGLIO
   * !371: Specify the overlap area for two S1_IW Bursts by Gaëlle USSEGLIO
   * !370: Add a solar distance parameter in the optical calibration module by Aurélie Emilien
   * !355: Enhance SARConcatenateBursts by Gaëlle USSEGLIO
   * !353: Local Rx detector by Cédric Traizet
   * !344: Number of endmember estimation application by Cédric Traizet
   * !331: Constexpr in otbMath.h by Manuel Grizonnet
   * !327: Switch for  application connections by Guillaume Pasero
   * !315: Enhance SARDeburst by Gaëlle USSEGLIO
   * !310: Add DefaultConstructibleFunctorImageFilter in OTBFunctor module by Julien Michel
   * !299: Add Functor module with FunctorImageFilter by Julien Michel
   * !298: ENH : Add metadata to Sentinel 1 Model by Gaëlle USSEGLIO
   * !290: Named inputs in FunctorImageFilter by Julien Michel
   * !289: enhance SarSensorModelAdapter by Gaëlle USSEGLIO
   * !286: Add class probability output for RF classifiers by Jordi Inglada
   * !241: Implementation of the raster output for Zonalstatistics by Jordi Inglada
   * !240: ENH: add support for GDAL's ALL_TOUCHED mode by Laurențiu Nicola
   * !227: REFAC: allow vector/xml/raster output regardless of the input type by Jordi Inglada
   * !226: ENH: Add option to allow to always trigger otb build step from superbuild tree by Manuel Grizonnet
   * !223: StreamingStatisticsMapFromLabelImageFilter no data support by Laurențiu Nicola
   * !222: Zonalstatistics by Rémi Cresson
   * !191: Parameter Refactoring : String Parameter by Antoine Regimbeau
   * !184: Resolve "Move otbExternalModuleTemplate repository from GitHub to gitlab.orfeo-toolbox.org" by Manuel Grizonnet
   * !179: Resolve "Display Pixel type of Image in ReadImageInfo application" by David Youssefi
   * !176: Resolve "Output time of otbcli applications in minutes, seconds instead of scientific notation" by Emmanuelle Sarrazin
   * !158: ENH: Add box kernel to morphological operations apps by Laurențiu Nicola
   * !154: ENH: Allow to compute modulus and phase from 2 bands scalar image by Manuel Grizonnet
   * !77: Nodata extended filename by @CSSI_OTB

Bugs fixed:

   * !612: Ice OpenGL refactoring by Guillaume Pasero & Stéphane Albert
   * !605: Resolve "ZonalStatistics app inbv parameter is not taken into account in stats filter" by Julien Michel
   * !603: BUG: disable non relevant output parameters in zonal statistics depending on the output type chosen by Cédric Traizet
   * !601: Fix OTB_ADDITIONAL_CACHE by Cédric Traizet
   * !597: Fix the diapotb remote module by Cédric Traizet
   * !592: Fix StreamingWarpImageFilter issue with empty region by Julien Michel
   * !585: Fix PCA in Dimensionality reduction by Cédric Traizet
   * !583: Revert Merge branch 'bugfix-streamingwarpfilter-empty-region' into 'develop'" by Julien Michel
   * !576: BUG: fix potential TopologyException in GDAL by Guillaume Pasero
   * !575: Fix build with Ossim >= 2.8 by Guillaume Pasero
   * !573: Remove cookbook pdf target by Victor Poughon
   * !572: Remove CVFold parameter from decision tree classifier in OpenCV 3 by Cédric Traizet
   * !571: BUG: fix parameter expansion in otbenv by Guillaume Pasero
   * !570: Packaging tweaks by Guillaume Pasero
   * !569: Better cleaning of logger objects in the Python Swig wrapper by Cédric Traizet
   * !568: BUG: files missing to use ENABLE_SHARED in remote modules by Guillaume Pasero
   * !567: Crash bandmathx by Antoine Regimbeau
   * !562: Undefined variable in cmake by Antoine Regimbeau
   * !561: Resolve "PROJ linking to GDAL in Superbuild" by Rashad Kanavath
   * !557: Do not return empty requested region in case StreamingWarpImageFilter by Julien Michel
   * !552: Remove false NCLS by Antoine Regimbeau
   * !549: COMP: master branch of diapotb breaks on windows by Guillaume Pasero
   * !545: BUG: fix URL in OSMDataToVectorDataGenerator by Victor Poughon
   * !537: Bug in ExtractROI (radius and extent modes) by Cédric Traizet
   * !534: DOC: fix missing import & clarify python doc example by Victor Poughon
   * !530: Resolve "UpdateParameters has to be called manually from the python API" by Victor Poughon
   * !527: BUG dltest not available on macOS by Guillaume Pasero
   * !525: BUG #1920: fix Qt 5.10.1 broken link by Guillaume Pasero
   * !515: Type assertion in OGRFieldWrapper GetValue() by Cédric Traizet
   * !512: Fix error : Invalid index -1 by Cédric Traizet
   * !497: Resolve "pipeline containing a BandMath failed" by Victor Poughon
   * !494: Add virtual descructor to RadiometricIndex abstract base class by Victor Poughon
   * !490: Missing include in otbStackIndiceFunctor.h by Cédric Traizet
   * !482: Fix assert in new radiometric indices by Victor Poughon
   * !480: BUG: remove .Fixup() for GDAL 2.5 compatibility (develop fix) by Victor Poughon
   * !478: Resolve "Assertion error on Sentinel1 product in debug build" by Victor Poughon
   * !469: Fix spinbox locale issue (force C locale) by Victor Poughon
   * !457: COMP: fix parenthesis warning in debug mode by Victor Poughon
   * !455: Fix name of USE_SYSTEM_QT5 cmake var by Victor Poughon
   * !453: BUG: sort Shark labels before encoding so that we know the order for the probability image by Jordi Inglada
   * !450: Patch for S1 localization problems by Gaëlle USSEGLIO
   * !448: Update mosaic git tag to include the functorImageFilter fix by Cédric Traizet
   * !444: Fix OTBApplicationOutputImageChanged and ExecutionDone slots not being called by Victor Poughon
   * !437: Fix assert in DotProductImageFilter by Cédric Traizet
   * !433: Fix missing braces warning on clang by Victor Poughon
   * !428: Fix CookBook build inside a virtualenv & add "Compiling documentation" subsection by Victor Poughon
   * !422: Fix doxygen test by Antoine Regimbeau
   * !420: Warning on GetJacobian with GitlabCI by Guillaume Pasero
   * !419: Bugs in Virtual Dimensionality by Cédric Traizet
   * !417: COMP: fix build error (missing include) by Victor Poughon
   * !412: Refactor application parameters dynamic_cast pattern by Victor Poughon
   * !409: Test using numpy by Antoine Regimbeau
   * !407: Fix typo in python error message by Victor Poughon
   * !406: BUG: #1825: use GetParameterName to get real names on composite apps by Guillaume Pasero
   * !404: Fix bug in extract roi by Antoine Regimbeau
   * !403: FIX: correct a minor bug in Superimpose application by Rémi Cresson
   * !400: Fix ImageFileReader error message & add back otb::Logger::BuildFormattedEntry by Victor Poughon
   * !391: COMP: allow Qt5 to compile on old kernels by Guillaume Pasero
   * !388: 1808: Fix error in solar distance test by Aurélie Emilien
   * !382: Fix warnings on Windows for the Local Rx Filter by Cédric Traizet
   * !381: Fix FastICA by Cédric Traizet
   * !379: Logger bug by Antoine Regimbeau
   * !378: Resolve "otb::TestHelper::RegressionTestOgrFile() always says Yes" by Guillaume Pasero
   * !376: Resolve "Building cookbook fails with ninja" by Guillaume Pasero
   * !364: No progress to file by Guillaume Pasero
   * !358: Lower threshold even more for SIFTFast to make the test pass on raoul by Julien Michel
   * !340: Revert Merge branch '1769_drop_support_gdal_1' into 'develop'" by Cédric Traizet
   * !339: COMP: Set boost configure specific options when building with clang on unix systems by Julien Michel
   * !335: Add Haralick features formulas in software guide by Manuel Grizonnet
   * !333: Remove Version installation in build_dir by Antoine Regimbeau
   * !313: BUG : clean fftw threads only if fftw is used by Cédric Traizet
   * !308: BUG: fix verbosity of libsvm by Guillaume Pasero
   * !305: BUG: compat of QgisDescriptor with old params by Guillaume Pasero
   * !304: BUG:  Quick fix for Mellin test by Antoine Regimbeau
   * !303: BUG: missing ComplexImage params in QGis wrapper by Guillaume Pasero
   * !302: TEST: use different test output names by Guillaume Pasero
   * !297: COMP: fix compilation of examples with clang 7 by Guillaume Pasero
   * !294: PKG: declare libomp as system lib in macOS package by Guillaume Pasero
   * !293: COMP: fix OverlapSave filter on Windows by Guillaume Pasero
   * !292: FFTW upgrade by Guillaume Pasero
   * !288: BUG: #1761: make sure OpenMP runtime is loaded by the main executable by Guillaume Pasero
   * !285: SuperBuild: the Ossim issue 2354 now affects all platforms by Guillaume Pasero
   * !284: COMP: fix ossim to build with clang7 by Guillaume Pasero
   * !283: OpenMP fixes by Guillaume Pasero
   * !279: BUG: #1623: fix doxygen search bar by Guillaume Pasero
   * !278: BUG #1757 fix installation of Siftfast by Guillaume Pasero
   * !277: Resolve "Orthorectification regression in v6.6" by Julien Michel
   * !274: BUG: #1734: warn users when producing an ENVI dataset with positive Y spacing by Guillaume Pasero
   * !272: BUG: #1753: adding options OTB_USE_MPI and OTB_USE_SPTW for superbuild by Guillaume Pasero
   * !271: Monteverdi: fix band numbering in color setup widget by Victor Poughon
   * !266: BUG: #1734: replace envi format with TIF by Guillaume Pasero
   * !265: Resolve "OTB QGIS plugin documentation is outdated" by Guillaume Pasero
   * !263: BUG: update hdf5 url by Antoine Regimbeau
   * !262: Composite application bugfix by Antoine Regimbeau
   * !258: Add a BUILD_COOKBOOK cmake option to control cookbook build targets by Manuel Grizonnet
   * !257: BUG: dict.iteritems() not supported in python 3 by Guillaume Pasero
   * !253: BUG: clear temporary validation filename when validation ratio is set to 0 by Manuel Grizonnet
   * !252: Resolve "error C2039: 'min': is not a member of 'std'" by Rashad Kanavath
   * !250: BUG: fix ITK version number for packaging by Guillaume Pasero
   * !249: Resolve "macros without proper semi-colon" by Rashad Kanavath
   * !248: Resolve "undefined method GetResolutionsInfo in otbImageFileReader" by Rashad Kanavath
   * !247: Resolve "update patch for opencv in superbuild" by Rashad Kanavath
   * !239: ENH: Update superbuild to ITK 4.13.1 so that it builds with gcc 8 by Jordi Inglada
   * !234: BUG: fix qt5 compilation on ubuntu 18.04 by Manuel Grizonnet
   * !232: BUG: #1582: detect empty training data by Guillaume Pasero
   * !231: BUG: fix markdown syntax in MR template by Guillaume Pasero
   * !218: Resolve "Build fails on OtbQgisDescriptor usage if OTB_INSTALL_APP_DIR is set to lib64/otb/applications" by Guillaume Pasero
   * !216: Resolve "OTB does not compile with GCC 8.1" by Manuel Grizonnet
   * !210: #1652 Fine Registration correction to handle the warping option by Yannick TANGUY
   * !205: Resolve "Orthorectification of Spot 6/7 raster sensor products leads to wrong output with lambert93 projection" by Guillaume Pasero
   * !204: Resolve "Extract ROI extent mode produces wrong output" by Guillaume Pasero
   * !203: Resolve "SampleAugmentation field list" by Guillaume Pasero
   * !202: Metadata reading from compound datasets by Guillaume Pasero
   * !201: Resolve "Fail computing KMeans Classification on image with NaN pixels" by Guillaume Pasero
   * !198: Resolve "segfault in DEMConvert" by Antoine Regimbeau
   * !196: Resolve "Module which generates QGIS descriptor is called Qgis while the source directory is QGIS (upper case)" by Manuel Grizonnet
   * !195: Resolve "Monteverdi build error (superbuild)" by Manuel Grizonnet
   * !188: Fix compilation GDALImageIO by Emmanuelle Sarrazin
   * !187: Resolve "QLayout: Attempting to add QLayout "" to otb::Wrapper::QtWidgetParameterGroup "", which already has a layout" by Victor Poughon
   * !186: PKG: install openCV libraries to lib by Guillaume Pasero
   * !182: Resolve "VectorDataReprojection app does not output VectorData in physical space when using a reference image in sensor geometry" by Julien Michel
   * !181: Resolve "OTB_APPLICATIONS_NAME_LIST is not updated when modules are activated/deactivated" by Rashad Kanavath
   * !180: Resolve "Linux self extracting binary does not install correctly on Debian Stretch" by Rashad Kanavath
   * !177: Remove mantis 1427 workaround by Victor Poughon
   * !169: Resolve "apTvClMethodDTImageClassifierQB1 failing after SuperBuild OpenCV upgrade" by Victor Poughon
   * !168: Resolve "Generation of Qgis plugin descriptors fails with latest develop" by Julien Michel
   * !159: BUG: Improve Convert and DynamicConvert mask handling (fix #1647) by Victor Poughon
   * !157: Resolve "install qgis descriptors into <PREFIX>/share/ on all platforms" by Rashad Kanavath
   * !156: BUG fix issue 1656 related to erratic behavior of cmake configuration by Manuel Grizonnet
   * !155: BUG: Be compliant with new cmake policy CMP0072 with cmake > 3.11 by Manuel Grizonnet
   * !142: BUG: fix issue #1639 Update UserValue flag in QtWidgetParameterList by Manuel Grizonnet
   * !126: BUG: Remove workaround for QT bug 22829 by Victor Poughon
   * !125: BUG: Fix missing QWidget parents by Victor Poughon

Refactoring:

   * !595: Apply clang-format to the whole library by Cédric Traizet
   * !593: Compatibility with OpenCV 4 by Cédric Traizet
   * !587: Image regression application by Cédric Traizet
   * !554: Upgrade boost by Antoine Regimbeau
   * !551: Remove unused files in OssimPlugins by Julien Michel
   * !548: Warning and Test fixes by Guillaume Pasero
   * !544: Cmake 3.10.2 by Antoine Regimbeau
   * !542: Fix some sonar qube issues by Victor Poughon
   * !535: Remove spatial objects module by Cédric Traizet
   * !531: Comment bfTvOverlapSaveConvolutionImageFilter on Win x86 by Guillaume Pasero
   * !517: Fix Superbuild default OTB_DATA_ROOT by Cédric Traizet
   * !511: Compatibility with gdal 3 by Cédric Traizet
   * !510: Update libkml link in Superbuild by Cédric Traizet
   * !506: Update Remote Module tags for Mosaic and SertitObject by Cédric Traizet
   * !500: Upgrade gdal version in superbuild by Cédric Traizet
   * !498: Prefer 'using' to 'typedef' in examples by Victor Poughon
   * !496: Regression refactoring : Train images regression by Cédric Traizet
   * !493: Remove java wrapping 2 by Cédric Traizet
   * !488: Regression refactoring : TrainVectorRegression by Cédric Traizet
   * !487: Refactor XML parameters by Victor Poughon
   * !484: Remove docname by Victor Poughon
   * !474: Fix sphinx warning on sphinx v1.4 by Victor Poughon
   * !471: Clean-up of unused or low quality modules and filters by Julien Michel
   * !464: Large refactoring of radiometric indices by Julien Michel
   * !460: COMP: set remote module to follow master by Jordi Inglada
   * !447: PERF: Improve convolution performances by Luc Hermitte
   * !445: Improve build time of OTBApplicationEngine by Stéphane Albert
   * !442: Remove complex image parameters by Cédric Traizet
   * !441: Remove ApplicationHtmlDocGenerator by Victor Poughon
   * !432: Remove the RAnd* family of filters by Julien Michel
   * !427: Remove UnaryFunctorImageFilter by Cédric Traizet
   * !424: REFAC: Drop swig/java support by Julien Michel
   * !413: PERF: Improve FunctorImageFilter performances by Luc Hermitte
   * !412: Refactor application parameters dynamic_cast pattern by Victor Poughon
   * !410: PERF: Optimize compare image by Luc Hermitte
   * !408: REFACT: Deprecate `auto_ptr` by Luc Hermitte
   * !400: Fix ImageFileReader error message & add back otb::Logger::BuildFormattedEntry by Victor Poughon
   * !398: Migrate developer's guide to the cookbook by Victor Poughon
   * !395: Render examples in the CookBook by Victor Poughon
   * !390: Catch otbImageFileReaderException in otbTestMain by Victor Poughon
   * !387: Import OTB-Data test data under git lfs by Stéphane Albert
   * !384: Remove stale examples by Victor Poughon
   * !383: Move otb-data/Examples/* to otb-data/Input/ by Victor Poughon
   * !380: Massive Software Guide clean-up by Julien Michel
   * !377: Start usage of extern templates by Guillaume Pasero
   * !373: Refactor FunctorImageFilter with neighborhood by Cédric Traizet
   * !372: Make Shark Optional for the "OTBDimensionalityReductionLearning" module by Cédric Traizet
   * !369: REFAC: 1778: Reduced input-data of MeanShiftSmoothingImageFilterQBRoad. by Stéphane Albert
   * !366: REFAC: 1778: Reduced input-data of hyTvMDMDNMFImageFilterTest2. by Stéphane Albert
   * !362: Remove GradientBoostedTree as done in OpenCV 3 by Guillaume Pasero
   * !360: Faster segmentation tests by Guillaume Pasero
   * !359: Update GIT_TAG for mosaic remote module by Rémi Cresson
   * !357: Faster SampleAugmentation tests by Guillaume Pasero
   * !356: WRG: Filter out remaining warnings on unknown pragmas by Julien Michel
   * !354: REFAC: 1778: Reduced size of input-data for dmTvFineRegistrationImageFilterTestWithMeanSquare by Stéphane Albert
   * !352: Drop python2 by Antoine Regimbeau
   * !351: Increase default ram limit to 256MB by Victor Poughon
   * !350: Remove const char* SetFilename overloads by Victor Poughon
   * !349: owTvQtWidgetShow refactoring by Stéphane Albert
   * !348: Update insource build error message by Victor Poughon
   * !345: Refactor all keypoints tests into a single test by Julien Michel
   * !343: Fix current warnings on dashboard by Julien Michel
   * !342: Remove support for GDAL 1.X by Cédric Traizet
   * !341: Updating superbuild GDAL configuration by Antoine Regimbeau
   * !337: Update git tag for TemporalGapfilling module by Jordi Inglada
   * !336: Remove CommandLineParser submodule by Antoine Regimbeau
   * !335: Add Haralick features formulas in software guide by Manuel Grizonnet
   * !334: Drop support for gdal 1.X by Cédric Traizet
   * !331: Constexpr in otbMath.h by Manuel Grizonnet
   * !329: Remove spurious UnaryFunctorImageFilter includes by Julien Michel
   * !328: Rename Get/Set Variadic[Named]Input[s]() by Get/SetInput() for easier reading in FunctorImageFilter by Julien Michel
   * !326: Replace use of TernaryFunctorImageFilter by use of FunctorImageFilter in ComplexImage by Julien Michel
   * !325: Refactor PanSharpening module to use FunctorImageFilter everywhere by Julien Michel
   * !324: Remove convert app by Cédric Traizet
   * !323: ENH: declare constants in otbMath.h as constexpr by Manuel Grizonnet
   * !321: Use FunctorImageFilter to refactor filters in MorphologicalProfiles module by Julien Michel
   * !320: Remove OTB_USE_DEPRECATED, TileMapImageIO and VectorDataRendering by Victor Poughon
   * !319: Use functor filter in app image utils by Yannick TANGUY
   * !318: Refactor filters in Polarimetry module to use new FunctorFilter by Manuel Grizonnet
   * !311: ENH: update cmake minimum required in tutorial by Victor Poughon
   * !309: REFAC: use FunctorFilter in DomainTransform by Julien Michel
   * !307: Remove ParameterType_Empty by Victor Poughon
   * !301: ENH: initialize the number of openMP threads after any modification by command line by Guillaume Pasero
   * !300: PKG: enable diapotb in SuperBuild with RemoteModules by Guillaume Pasero
   * !299: Add Functor module with FunctorImageFilter by Julien Michel
   * !296: Integrate diapotb as official remote module by Guillaume Pasero
   * !295: Update deprecated cmake policies to NEW by Manuel Grizonnet
   * !287: Filtering warnings for clang7 by Guillaume Pasero
   * !275: Review applications parameter order by Victor Poughon
   * !273: Update .clang-format by Victor Poughon
   * !269: Remove LARGEINPUT dependency of SoftwareGuide build by Victor Poughon
   * !264: Bug fixes and refactors from clang-tidy by Victor Poughon
   * !245: ENH: update phenotb remote module git tag by Jordi Inglada
   * !244: Deprecated TileMap and prTeCoordinateToNameExampleTest by Antoine Regimbeau
   * !243: Remove `Modules/Adapters/OpenThreads` by Laurențiu Nicola
   * !236: Deprecate mapnik in 7.0 by Guillaume Pasero
   * !235: Make the CookBook a CMake target by Victor Poughon
   * !233: Refactor small region merging by Cédric Traizet
   * !230: REFAC: move code to functions so that DoExecute logic is readable by Jordi Inglada
   * !229: ImageIOBase AsString functions should be static by Guillaume Pasero
   * !227: REFAC: allow vector/xml/raster output regardless of the input type by Jordi Inglada
   * !225: WRG: fix warnings declaration shadows a previous local seen with gcc 8 by Manuel Grizonnet
   * !224: Change map projections backend to use Gdal instead of OSSIM by Julien Michel
   * !221: Remove unused OSSIM based classes by Julien Michel
   * !219: Warnings fixes (clang and OSSIM) by Guillaume Pasero
   * !208: More warning fixes for Shark by Guillaume Pasero
   * !206: Some warning fixes by Guillaume Pasero
   * !199: Remove more c_str with itk::ExceptionObject string constructor by Victor Poughon
   * !192: Revert Merge branch 'new_contributors' into 'develop'" by Manuel Grizonnet
   * !190: WRG: fix unused parameter warning by Victor Poughon
   * !189: Remove more c_str with SetFileName string overload by Victor Poughon
   * !173: Remove  all *New tests by Julien Michel
   * !172: REFAC: remove unnecessary calls to c_str (2nd attempt) by Victor Poughon
   * !171: fstream and iostream clean-up by Julien Michel
   * !170: WRG: add missing overrides by Victor Poughon
   * !167: Refactor WrapperParameter code to avoid method bodies in header by Julien Michel
   * !163: ENH: Use std math instead of vcl by Laurențiu Nicola
   * !162: Fix warnings on OTB develop branches by Manuel Grizonnet
   * !161: Refactor in Modules/Wrappers/QtWidget by Victor Poughon
   * !160: Merge release-6.6 into develop without the shark revert by Victor Poughon
   * !152: rename files with txx extension to hxx by Manuel Grizonnet
   * !150: Refactor of otbWrapperApplication.h by Victor Poughon
   * !145: Resolve "Debug mode without try {} catch(...) in otbApplicationLauncherCommandLine" by Julien Michel
   * !144: Resolve "Warn otbcli user about unused parameters" by Julien Michel
   * !139: SuperBuild: Upgrade to OpenCV 3.4.1 by Victor Poughon
   * !138: REFAC: include-what-you-use in Modules/Core/ by Victor Poughon
   * !133: C++14: Replace comments by '= delete' by Victor Poughon
   * !131: C++14: Replace ITK_OVERRIDE by override by Victor Poughon
   * !130: C++14: Replace ITK_NULLPTR by nullptr by Victor Poughon
   * !127: COMP: fix gcc 7 'defined' warnings by Victor Poughon
   * !123: New custom widgets for Float and Int parameters by Victor Poughon

CI:

   * !598: Fix the otbGRM remote module by Cédric Traizet
   * !589: Mentions of copyright check by Sébastien Dinot
   * !584: Fixes for NamespaceHandler by Guillaume Pasero
   * !582: Script to setup a namespace for OTB imported targets by Guillaume Pasero
   * !581: Contributors check by Sébastien Dinot
   * !571: BUG: fix parameter expansion in otbenv by Guillaume Pasero
   * !563: CI move Superbuild Artifact repository by Guillaume Pasero
   * !559: DOC: add badges for CI and coverage by Guillaume Pasero
   * !558: CI: fixing cdash links on forks by Guillaume Pasero
   * !556: CI simple contributing by Guillaume Pasero
   * !550: CI Artifacts by Guillaume Pasero
   * !543: CI coverage by Guillaume Pasero
   * !539: Add QA related jobs to CI pipeline by Sébastien Dinot
   * !538: Ci contributing update by Guillaume Pasero
   * !536: CI Fixes episode N by Guillaume Pasero
   * !526: CI Fix CDash error report by Guillaume Pasero
   * !524: CI Windows by Guillaume Pasero
   * !523: CI: deploy by Antoine Regimbeau
   * !522: CI: add large input test by Antoine Regimbeau
   * !521: CI improvements for QA by Guillaume Pasero
   * !520: CI: Pipelines for develop and release branches by Guillaume Pasero
   * !519: Update HowToRelease by Guillaume Pasero
   * !513: CI: Enable diapotb by Guillaume Pasero
   * !507: CI Merge Ubuntus by Guillaume Pasero
   * !505: CI: Enable ccache macos by Guillaume Pasero
   * !504: CI: fix fast build by Guillaume Pasero
   * !499: CI Add MacOS by Antoine Regimbeau
   * !491: CI: packaging by Antoine Regimbeau
   * !489: CI: change git and ssh setup by Guillaume Pasero
   * !486: CI Use single token for API by Guillaume Pasero
   * !483: CI: fixed architecture by Antoine Regimbeau
   * !476: CI: fix image name to satisfy regexp by Guillaume Pasero
   * !475: CI: use official registry by Guillaume Pasero
   * !473: CI fixes for documentation by Guillaume Pasero
   * !466: Superbuild CI on Centos 6 by Stéphane Albert
   * !465: CI: add fast precheck step by Guillaume Pasero
   * !463: Ci local builds by Guillaume Pasero
   * !462: CI: only 1 bionic build needed by Guillaume Pasero
   * !461: CI: enable documentation build by Guillaume Pasero
   * !459: Superbuild CI by Antoine Regimbeau
   * !456: Various CI fixes for a lighter dashboard by Guillaume Pasero
   * !449: CI: change build name and export short SHA to cdash by Guillaume Pasero
   * !443: Link with CDASH by Antoine Regimbeau
   * !438: Fix CI failing fetch by Antoine Regimbeau
   * !436: Add Debian to CI by Antoine Regimbeau
   * !430: Improve Git LFS performances by Guilhem Bonnefille
   * !429: Factorize build images specification by Guilhem Bonnefille
   * !423: CI: need to simplify CI scripts by Guillaume Pasero
   * !418: CI: enable ccache on ubuntu-llvm by Guillaume Pasero
   * !416: CI setup all pipelines by Guillaume Pasero
   * !399: CI: use lld linker on ubuntu by Guillaume Pasero
   * !397: CI: use docker images from gbonnefille registry by Guillaume Pasero
   * !394: CI: allow per site configuration by Guillaume Pasero
   * !389: CI: use ninja by Guillaume Pasero
   * !385: Allow CI to fail by Antoine Regimbeau
   * !374: New CI for OTB by Antoine Regimbeau

Documentation:

   * !599: Fix spelling errors by Bas Couwenberg
   * !594: Fix typo in ossimCosmoSkymedModel by Laurențiu Nicola
   * !591: Fix non compliant headers by Cédric Traizet
   * !590: Error in FunctorImageFilter.rst example by Julien Michel
   * !588: MultivariateAlterationDetector: consistency between doc and code by Cédric Traizet
   * !587: Image regression application by Cédric Traizet
   * !580: Refactoring of the BandMathX documentation, and fix OpticalCalibration documentation by Cédric Traizet
   * !578: DOC: fix documentation_changes template by Guillaume Pasero
   * !577: Add a mailmap file by Sébastien Dinot
   * !564: Simplify the QGIS documentation by Antoine Regimbeau
   * !560: Add Agustin Lobo to PSC by Victor Poughon
   * !547: Update version of compiler and add sb version by Antoine Regimbeau
   * !538: Ci contributing update by Guillaume Pasero
   * !534: DOC: fix missing import & clarify python doc example by Victor Poughon
   * !532: DOC: updates to parts of the documentation within the apps by Daniel McInerney
   * !514: DOC: review recipe residual registration by Victor Poughon
   * !509: Update PSC.md to add Julien Radoux as a PSC member by Julien Michel
   * !503: Small update in documentation of step parameter in BlockMatching application by Julien Michel
   * !502: Remove Travis and Coverity badges from README.md by Julien Michel
   * !501: Review change detection examples by Victor Poughon
   * !495: Fix BandMathX documentation by Cédric Traizet
   * !492: Display deprecation status in application wrappers by Cédric Traizet
   * !485: Add Archlinux installation documentation by Victor Poughon
   * !481: Add a section on functor filter in new C++ cookbook part by Julien Michel
   * !477: Examples review (part 1) by Victor Poughon
   * !472: Add clang-format-diff command line to MR checklist by Julien Michel
   * !451: Documentation for atmoshperic correction parameters in OpticalCalibration by Cédric Traizet
   * !441: Remove ApplicationHtmlDocGenerator by Victor Poughon
   * !440: No data documentation in Segmentation by Cédric Traizet
   * !439: DOC: use double quotes for string parameter examples by Victor Poughon
   * !435: Remove Software Guide by Victor Poughon
   * !431: Show alternative versions in the CookBook by Victor Poughon
   * !428: Fix CookBook build inside a virtualenv & add "Compiling documentation" subsection by Victor Poughon
   * !425: Hypserspectral image processing recipe by Cédric Traizet
   * !415: Reorder cookbook sections and update style by Victor Poughon
   * !411: DOC: remove the OTB-Data-Examples step from how-to-release by Guillaume Pasero
   * !398: Migrate developer's guide to the cookbook by Victor Poughon
   * !395: Render examples in the CookBook by Victor Poughon
   * !380: Massive Software Guide clean-up by Julien Michel
   * !375: Cookbook FAQ updates & Contributors section by Victor Poughon
   * !363: Migrate 'Compiling from source' documentation to CookBook by Victor Poughon
   * !347: Bump copyright date by Julien Michel
   * !335: Add Haralick features formulas in software guide by Manuel Grizonnet
   * !332: Fix cookbook warnings and formatting by Victor Poughon
   * !322: DOC: improve documentation on how to pass multiple additional options to otb cmake cache by Manuel Grizonnet
   * !316: Christmas CookBook by Victor Poughon
   * !312: Add missing listview to doxygen by Victor Poughon
   * !291: Qt-Qwt dependency in superbuild by Antoine Regimbeau
   * !282: DOC: suggested changes to the documentation by Daniel McInerney
   * !265: Resolve "OTB QGIS plugin documentation is outdated" by Guillaume Pasero
   * !256: Small Typo by Jee Roen
   * !254: ENH: Redispatch applications tagged as Misc to more user oriented tag available… by Manuel Grizonnet
   * !246: Add install section to README.md by Victor Poughon
   * !238: Typo in cookbook by Victor Poughon
   * !228: Document output of training applications by Guillaume Pasero
   * !217: DOC: dmci edits to cookbook and installation tex file by Daniel McInerney
   * !207: DOC: add missing packages needed to compile otb with superbuild on ubuntu 18.04 by Manuel Grizonnet
   * !200: Resolve "Possible confusion when using single-value-mode parameter-lists in CLI" by Victor Poughon
   * !185: DOC: update list of contributors by Manuel Grizonnet
   * !178: Resolve "Some ITK paths are wrong in the SoftwareGuide" by Yannick TANGUY
   * !175: #1611 - Document ParameterType_Bool by Yannick TANGUY
   * !174: Adopt SemVer for 7.0.0 and migrate release template to a gitlab issue template by Victor Poughon
   * !153: ENH: Document that conversion applications in otb don't support complex pixel types as output by Manuel Grizonnet
   * !149: ENH: display parameter description as tool tip for the QtWidgetBoolParameter by Manuel Grizonnet
   * !140: DOC: Minor fixes in Software Guide by Victor Poughon
   * !137: DOC: Set of proposed edits to the documentation by Daniel McInerney
   * !136: DOC: add checklist to MR template by Victor Poughon
   * !132: ENH: Add comments to MR template by Victor Poughon
   * !129: Update screenshots in Monteverdi Cookbook section with wrong RGB color composition by Manuel Grizonnet
   * !124: Document third party environment variables by Julien Michel

OTB-v.6.6.0 - Changes since version 6.4.0 (June 20th, 2018)
-----------------------------------------------------------

Features added:
   * !4: Dimensionality reduction algorithms by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/4)
   * !5: Enhance otb sar sensor model adapter by Gaëlle USSEGLIO (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/5)
   * !7: Enhance cookbook extended filename section by Mickael Savinaud (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/7)
   * !8: App engine flags by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/8)
   * !12: Complex image integration by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/12)
   * !15: Parameter bool by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/15)
   * !22: Register Pipeline Services (ProcessObjects and DataObjects) by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/22)
   * !24: Handle extended filename for DataSource class by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/24)
   * !25: Data augmentation by Jordi Inglada (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/25)
   * !26: Update Shark Random Forest implementation by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/26)
   * !29: ApplicationEngine new services by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/29)
   * !33: Multi writer by @CSSI_OTB (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/33)
   * !34: Stop button for graphic applications by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/34)
   * !53: Resolve "add Wrapper/QGIS to generate qgis descriptors for processing plugin" by Rashad Kanavath (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/53)
   * !63: Background value for VectorDataToLabelImageFilter by Rémi Cresson (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/63)
   * !71: New Itk modules by Yannick TANGUY (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/71)

Bugs fixed:
   * !6: Resolve "SampleExtraction application memory usage grows constantly" by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/6)
   * !11: Resolve "Compilation error in Debug in ossimSarSensorModel" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/11)
   * !13: Resolve "Inconsistent behaviour of geom file loading" by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/13)
   * !19: Splitting cxx file for InputImageParameter by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/19)
   * !27: Remove README (copy/paste error) from MPIConfig module by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/27)
   * !30: Fix clang missing override warnings by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/30)
   * !32: Bugfix RAM parameter not used by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/32)
   * !35: WIP: Bugfix writer box by Rémi Cresson (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/35)
   * !38: Support GDAL Python binding for release 6.4 by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/38)
   * !39: Resolve "API change in HoughTransform2DLinesImageFilter (itk 4.13)" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/39)
   * !40: Resolve "Python3 OTB application bindings available in the OTB package don't work on Linux" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/40)
   * !41: Resolve "OTB Python code in the CookBook is not compatible with Python3" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/41)
   * !43: Resolve "Remove deprecated instructions to compile Monteverdi" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/43)
   * !44: Resolve "Fix some warnings with gcc 7.3 and clang 5.0" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/44)
   * !45: Resolving ExtractROI default behavior bug by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/45)
   * !47: Resolve "skipcarto not working in Orthorectification?" by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/47)
   * !48: Resolve "SampleSelection strategy "byclass", csv parser not working" by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/48)
   * !52: Resolve "Mention CCLA and ICLA in Contribute.md" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/52)
   * !58: Resolve "General log information appear several time in composite applications" by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/58)
   * !65: Use OGRSpatialReference class to compare projref by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/65)
   * !67: Packaging install fonts by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/67)
   * !70: Resolve : Application can't be launch through monteverdi by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/70)
   * !73: Resolve "wrong default RGB composition for Pleiades image" by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/73)
   * !78: Fix installation of GDAL bindings in standalone packages by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/78)
   * !79: BUG: #1567: fix compilation with GDAL 2.3.0 by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/79)
   * !80: OpenGL problem in monteverdi by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/80)
   * !81: Solve drag and drop issue by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/81)
   * !82: Resolve "Error during OTB SuperBuild compilation on Ubuntu 16.04" by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/82)
   * !83: Fix itk packaging by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/83)
   * !86: Solve linking problem due to ABI change by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/86)
   * !94: BUG: change ParameterFile ext to None by Rashad Kanavath (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/94)
   * !95: BUG: #1580: update tag for FFSforGMM by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/95)
   * !96: Cookbook fixes for release 6.6 by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/96)
   * !108: Update FindQwt by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/108)
   * !114: Resolve "Remove QT4 patch directory in the superbuild?" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/114)
   * !116: Monteverdi Delete Layer by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/116)
   * !120: Resolve "monteverdi and mapla segfault at startup" by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/120)
   * !134: Shark and OpenMP by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/134)

Small patches made:
   * !50: TEST: fix ingroup test and doxygen section by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/50)
   * !54: Fix warnings on develop build by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/54)
   * !55: Update contribution guide with a new label (patch) by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/55)
   * !56: DOC: Complex types from MR !12 are not listed in cli help by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/56)
   * !61: ENH: Support Geopackage OGR driver by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/61)
   * !69: COMP: missing parenthesis in packaging script by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/69)
   * !74: Review: "add Wrapper/QGIS to generate qgis descriptors for processing plugin" by Rashad Kanavath (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/74)
   * !76: DOC: allow the configure step to print detected Qt5 version by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/76)
   * !84: PKG: small exception for check on /usr path with libdrm by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/84)
   * !85: PKG: disable dl test for python wrappings (GDAL) by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/85)
   * !97: Fonts download by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/97)
   * !100: Update shark version by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/100)
   * !101: Fix GDALAdapters test by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/101)
   * !103: ENH: add an editorconfig file for IDE code formatting by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/103)
   * !124: Document third party environment variables by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/124)
   * !129: Update screenshots in Monteverdi Cookbook section with wrong RGB color composition by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/129)
   * !135: COMP: handle Shark dependency to openmp using REQUIRED_FLAGS by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/135)

Other changes:
   * !1: DOC: Add CONTRIBUTING and PSC docs by Victor Poughon (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/1)
   * !2: DOC: try to add bug label in the gitlab template by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/2)
   * !3: Qt4to5 by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/3)
   * !10: Update CONTRIBUTING.md to explain how to register branches for dashboard testing. by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/10)
   * !14: Dogfooding PolygonClassStatistics application by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/14)
   * !16: Param dict python by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/16)
   * !18: Contrast enhancement corrections by Yannick TANGUY (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/18)
   * !20: Refactor logging for the whole library by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/20)
   * !21: New rules for Merge Request acceptance (PSC meeting 2018-02-22) by Yannick TANGUY (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/21)
   * !28: Review OTB application recipe by Manuel Grizonnet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/28)
   * !42: LogSetupInformation in CreateInstance is too invasive by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/42)
   * !49: Command line options for Monteverdi by @CSSI_OTB (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/49)
   * !51: Resolve "Add in Contributing.md that only  compilation fixes are allowed in develop branch" by Guillaume Pasero (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/51)
   * !93: ENH: install share dir share/OTB-X.Y -> share/otb by Rashad Kanavath (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/93)
   * !99: Update tag for FFSforGMM by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/99)
   * !104: Update SoftwareGuide by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/104)
   * !110: BUG: #1607 - remove inline declaration by Yannick TANGUY (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/110)
   * !117: On Revert shark by Antoine Regimbeau (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/117)
   * !119: Monteverdi black screen after app execution by Cédric Traizet (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/119)
   * !121: Resolve "Cannot launch monteverdi if .ini config file is invalid" by Julien Michel (see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/merge_requests/121)


OTB-v.6.4.0 - Changes since version 6.2.0 (January 30th, 2018)
----------------------------------------------------------

* Request for Changes (http://wiki.orfeo-toolbox.org/index.php/Requests_for_Changes):
  * Request for changes-104: Refactor OTB-applications input/output string/filename lists (adopted, merged)
  * Request for changes-110: Histogram Equalization (adopted, merged)
  * Request for changes-117: Merge Convert and Rescale applications (adopted, merged)
  * Request for changes-118: Enable use of ossimSarSensorModel through geom file (adopted, merged)
  * Request for changes-119: Install ossimPlugins headers related to ossimSarSensorModel (adopted, merged)
  * Request for changes-120: Replacing itk::TimeProbe (adopted, merged)
  * Request for changes-121: Add Laurențiu Nicola as a new committer (adopted, merged)
  * Request for changes-122: Positive spacing enforcement (adopted, merged)
  * Request for changes-123: Improve OTB Applications documentation (part 2) (adopted, merged)
  * Request for changes-124: Add GSL to Superbuild (adopted,merged)
  * Request for changes-126: Support python 2.7 and 3 wrappings (adopted, merged)

* Bugfixes:
  * Orfeo Toolbox (OTB)
    * 0001508: ExtractROI does not work with mode.fit.vect
    * 0001509: Patch to fix spelling errors in 6.4.0-rc1
    * 0001482: In 6.2, otbcli_Convert with MPI produces invalid tiff files
    * 0001507: Segmentation segfault
    * 0001488: OTB apps sometime do not appear in the widget
    * 0001501: Does Java wrapping works on Windows?
    * 0001495: Crash when setting Orthorectification input field
    * 0001489: BandMath and BandMathX are missing important documentation on expression syntax
    * 0001479: Monteverdi try to create overviews with /vsicurl file
    * 0001502: OTB configuration step does not properly check for c++14 availability
    * 0001497: Some optional parameters are ON by default in otbgui
    * 0001483: Monteverdi shows a pop up terminal on windows
    * 0001496: Monteverdi 'build overviews' pop-up trigger condition is unclear or incorrect
    * 0001494: Segmentation app shows 'Select parameters' instead of 'Running'
    * 0001492: Monteverdi 6.2 is missing some French translations
    * 0001499: OSSIMAdapters fails to build with OSSIM 2.2.0 (error: 'class ossimRpcSolver' has no member named 'createRpcProjection')
    * 0001498: ExtractROI Channel list empty when application is chained in memory
    * 0001476: Python wrapping not working with Python >= 3.
    * 0001504: OTB does not compile with ITK last stable release 4.13
    * 0001503: Fix new coverity issues in release 6.4

  * Documentation
    * 0001500: Application example in OTB software guide is confusing

  * OTB-applications
    * 0001481: KMeansClassification application should be compiled only if OTB_USE_SHARK=ON


OTB-v.6.2.0 - Changes since version 6.0.0 (October 26th, 2017)
----------------------------------------------------------

* Request for Changes (http://wiki.orfeo-toolbox.org/index.php/Requests_for_Changes):
  * Request for Changes-91: Better error messages (adopted, merged)
  * Request for Changes-92: Build remote modules as standalone cmake projects (adopted, merged)
  * Request for Changes-93: Update third party versions in Superbuild for 6.2 (adopted, merged)
  * Request for Changes-94: CookBook licensed under cc-by-sa (adopted, merged)
  * Request for Changes-95: Compile OTB with C++14 by default (adopted, merged)
  * Request for Changes-96: Long help in otbcli (adopted, merged)
  * Request for Changes-97: KMeansClassification reimplemented (adopted, merged)
  * Request for Changes-98: Upgrade Monteverdi dependency from QWT 5 to QWT 6 (adopted, merged)
  * Request for Changes-99: Refactor ExtractROI application (adopted, merged)
  * Request for Changes-100: Add external soil file to Sail model (adopted, merged)
  * Request for changes-102: Extend MachineLearningModel sample and target types (adopted, merged)
  * Request for changes-103: Improve OTB Applications documentation (part 1) (adopted, merged)
  * Request for changes-105: Simplify logging of composite applications (adopted, merged)
  * Request for changes-106: All-in-one LSMS application (adopted, merged)
  * Request for changes-107: Refactor Convert application (adopted, merged)
  * Request for changes-108: Make OTB package great again (adopted, merged)
  * Request for changes-109: Refactor PixelValue application (adopted, merged)
  * Request for changes-111: SuperBuild dependencies additions for GDAL (adopted, merged)
  * Request for changes-112: New-functor-filters (adopted, merged)
  * Request for changes-114: Add Daniel McInerney as a new committer (adopted)
  * Request for changes-115: Refactoring of DownloadSRTMTiles (adopted, merged)

* Bugfixes :
  * OTB-Qgis
    * 0001445: Mean shift segmentation ignoring mask OTB QGIS

  * Documentation
    * 0001434: Bibliography references are not set in the Software Guide (PDF version)
    * 0001400: Training  applications reference documentation do not include shark parameters
    * 0001471: Issue with Boolean parameter in the Python application API documentation

  * Monteverdi
    * 0001431: RGE Alti files inverted on Monteverdi
    * 0001432: RGE Alti files inverted on Monteverdi
    * 0001408: Issue in Monteverdi French translation (typo)

  * OTB-Packaging
    * 0001449: Issues with OTB 6.1 standalone packages (Linux)
    * 0001404: OTB xdk 5.10.1 is not able to compile a simple program on a Ubuntu 16.04 VM
    * 0001430: building 6.0.0 fails at otbSFSTextureExtraction.cxx.o
    * 0001474: OTB XDK is not working on Linux
    * 0001460: Unable to compile OTB  6.2.0 RC1 with superbuild (CURL issue)

  * Orfeo Toolbox (OTB)
    * 0001453: Applications crash with inxml parameter (GUI mode)
    * 0001405: Crash on optical calibration, TOC mode, GUI only (command line works), only on Mac
    * 0001422: Optical Calibration application crash on MacOSX
    * 0001401: ktrace reports too many file open for any otbapplication
    * 0001439: GUI of ComputeOGRLayersFeaturesStatistics and OGRLayerClassifier crash on certain shape files
    * 0001399: missing include_directories call when building external projects
    * 0001438: Input Value Type of Classification apps
    * 0001420: Change layer name in Monteverdi has no effect
    * 0001446: Write mode on the SampleExtraction application
    * 0001435: Performance issue on OTB 6.0 otbcli_MeanShiftSmoothing
    * 0001407: In TrainImagesClassifier, field selection gets reset all the time
    * 0001448: VectorClassifier isn't working for me...
    * 0001397: OTBIOkml links only with base, dom, and engine but cmake includes all kml libs
    * 0001413: set GDAL_DRIVER_PATH to avoid autoload of gdal driver from another installation
    * 0001443: Fails to build with cmake 3.9.0
    * 0001444: cmake fails if OTB_DATA_LARGEINPUT_ROOT is set and OTB_DATA_ROOT is not set
    * 0001398: OTB won't parse *.xml metadata file on newest Pleiades data
    * 0001418: Two more InXML incorrect tests
    * 0001416: Parameter names different in cli and gui version
    * 0001417: In windows packages otbenv.cmd and otbenv.bat, GDAL_DATA is set to a folder that does not exist
    * 0001425: Cli Command line produced by otbgui_TrainImagesClassifier is wrong
    * 0001424: ComputeConfusionMatrix crashes because proj.dll is missing
    * 0001403: InXML1 tests fail but report as passed
    * 0001419: Fix detection of OpenCV on i386 architecture.
    * 0001426: GUI TrainimagesClassifier resets "field name" parameter when another parameter is set
    * 0001421: otbenv.bash has windows endline
    * 0001402: 404 link on otb-users
    * 0001469: Superbuild with Visual Studio 15 2017
    * 0001464: otb_module_impl() called twice in ExternalModuleTemplate
    * 0001459: Patch to fix spelling errors

  * OTB-applications
    * 0001441: Error in param in template otbTrainLibSVM.txx
    * 0001411: Training applications  needs field name of type integer
    * 0001410: BundleToPerfectSensor composite application does not expose parameters of internal applications
    * 0001467: Convert application memory allocation issue
    * 0001463: BandMathX not accepting global statistics


OTB-v.6.0.0 - Changes since version 5.10.1 (May 2th, 2017)
----------------------------------------------------------

* Request for Changes (http://wiki.orfeo-toolbox.org/index.php/Requests_for_Changes):
  * Request for Changes-81: New applications for morphological profiles (adopted, merged)
  * Request for Changes-82: Sentinel1 IW SLC deburst filter (adopted, merged)
  * Request for Changes-83: New Modulus and Phase application (adopted, merged)
  * Request for Changes-84: Change license to Apache v2.0 (adopted, merged)
  * Request for Changes-85: Add Unsupervised classification applications (adopted, merged)
  * Request for Changes-86: Add extended filename for band selection (adopted, merged)
  * Request for Changes-87: Support OpenCV 3 (adopted, merged)
  * Request for Changes-88: Contingency Table (adopted, merged)
  * Request for Changes-89: Remove deprecated code for 6.0 (adopted, merged)
  * Request for Changes-90: Add vector classification application (adopted, merged)

* Bugfixes :

* Monteverdi2
    * 0001377: Pixel coordinates input
    * 0001378: Incorrect effect combo-box selection when selecting another layer.
    * 0001384: Northing/Easting seems inverted on UTM17/18

  * Orfeo Toolbox (OTB)
    * 0001389: otbcli_ColorMapping doesn't accept higher input values than 2^16 (UInt16 coding)
    * 0001386: Don't add test InDoxygenGroup for application build in external remote module
    * 0001362: OTB 5.8 Applis TrainRegression TrainVectorClassifier TrainImagesClassifier Segmentation fault
    * 0001372: Shortname of option to deactivate glsl with monteverdi is confusing
    * 0001366: OTB 5.10 : can't use extract ROI using bindings python
    * 0001367: Monteverdi from the OTB standalone package for Mac OS X fails to run
    * 0001365: Python wrapper OTB-5.8.0: @rpath problem on MacOSX El Captain 10.11
    * 0001364: Crash of Mapla.app v5.10.0 on MacOSX  El Captain 10.11.5
    * 0001368: OTB 5.11 TrainImagesClassifier (FATAL) Error "Input Sample List is empty"
    * 0001374: Alpha parameter seems not works in opengl mode

  * OTB-applications
    * 0001369: otbgui_Segmentation.bat won't produce correct results

OTB-v.5.10.1 - Changes since version 5.10.0 (March 8th, 2017)
---------------------------------------------------------------

* Packaging :
  * Upgrade to GDAL 2.1.3, compatible with new format of Sentinel 2 products
  * Upgrade of SertitObject external module with bugfixes

* Bugfixes :

  * Orfeo Toolbox (OTB)
    * 0001364: Crash of Mapla.app v5.10.0 on MacOSX El Captain 10.11.5
    * 0001365: Python wrapper OTB-5.8.0: @rpath problem on MacOSX El Captain 10.11
    * 0001367: Monteverdi from the OTB standalone package for Mac OS X fails to run
    * 0001366: OTB 5.10 : can't use extract ROI using bindings python

OTB-v.5.10.0 - Changes since version 5.8.0 (February 14th, 2017)
---------------------------------------------------------------

* Request for Changes (http://wiki.orfeo-toolbox.org/index.php/Requests_for_Changes):
  * Request for Changes-69: Force Monteverdi no-GLSL option (adopted, merged)
  * Request for Changes-70: Composite application framework (adopted, merged)
  * Request for Changes-71: Enhance class field selection in training applications (adopted, merged)
  * Request for Changes-72: Remove JPEG2000ImageIO (adopted, merged)
  * Request for Changes-73: Compatibility with muparserx 4.0.7 (last stable release) (adopted, merged)
  * Request for Changes-74: Translate the application GUI to the corresponding command line (adopted, merged)
  * Request for Changes-75: Monteverdi/App November code sprint (adopted, merged)
  * Request for Changes-76: Single band color-mapping in Monteverdi (adopted, merged)
  * Request for Changes-77: New application for wavelet and fft domain transform (adopted, merged)
  * Request for Changes-78: Refactor TrainImagesClassifier (adopted, merged)
  * Request for Changes-79: BundleToPerfectSensor implemented as composite application (adopted, merged)
  * Request for Changes-80: Compute sub-sampled Haralick textures (adopted, merged)

* Bugfixes :

  * Monteverdi
    * 0001351: Broken 5.10 standalone package on Linux (missing libstdc++)
    * 0001334: On Windows standalone package, selection and drag&drop is broken on Monteverdi layer stack
    * 0001338: Monteverdi does not correctly free memory
    * 0001345: Wrong behavior of minimum image size for overviews in preference dialog
    * 0001320: Pixel picking in Monteverdi is half-pixel shifted
    * 0001309: Monteverdi 5.8: cannot drag and drop filename to OTB app

  * OTB-Packaging
    * 0001361: _dl_close error message in Linux standalone package when closing the application
    * 0001357: segfault when loading OTB applications in linux standalone package
    * 0001356: Linux package requires OTB_USE_SYSTEM_GTK=1 on CentOS 7
    * 0001355: Patch to set OTB_APPLICATION_PATH environment variable in monteverdi desktop file
    * 0001335: On Windows standalone package, TOC calibration crashes monteverdi
    * 0001326: OTB python bindings does not work
    * 0001336: setup.sh is missing in Windows standalone packages
    * 0001337: On windows standalone package otbcli.bat misses the GDAL_DATA environment variable
    * 0001325: libsvm URL in superbuild does not exists anymore

  * OTB-applications
    * 0001341: Rescale application does not exactly rescale image
    * 0001339: ExtractROI application yields wrong size through python bindings
    * 0001321: Unable to apply radiometric calibration to  S1A SLC product
    * 0001316: Application parameter of type ListView are not export in XML

  * Orfeo Toolbox (OTB)
    * 0001317: cmake c and cxx flags are not written in OTBConfig.cmake or UseOTB.cmake
    * 0001323: Install monteverdi icons along with the application.
    * 0001342: Download of libsvm is failing when (super)building
    * 0001331: TrainVectorClassifier: misleading error message
    * 0001330: Superbuild crashes with invalid libSVM source link
    * 0001327: Quicklook application introduces a shift
    * 0001328: OTB 5.8 : superImpose introduce "NODATA"
    * 0001319: OTB 5.8 vector Sampler
    * 0001324: Add Keywords to desktop entry file.

  * Documentation
    * 0001313: Some latex fragments are not rendered in RST cookbook

OTB-v.5.8.0 - Changes since version 5.6.1 (November 8th, 2016)
--------------------------------------------------------------

* Request for Changes (http://wiki.orfeo-toolbox.org/index.php/Requests_for_Changes):
  * Request for Changes-35: FineRegistration, performances increased
  * Request for Changes-51: Move Monteverdi into OTB
  * Request for Changes-52: Faster BandMathX
  * Request for changes-53: Connect applications in memory
  * Request for Changes-54: Get OTB ready for gdal derived subdatasets
  * Request for Changes-55: Monteverdi: Mouse-wheel zoom without CTRL
  * Request for Changes-56: Spot7 metadata support
  * Request for Changes-57: Migrate Cookbook to RST
  * Request for Changes-58: Sampling on multiple images
  * Request for Changes-59: Build support for msvc 2015 with OTB xdk
  * Request for Changes-60: Shorter Release Process
  * Request for Changes-61: Use codespell to fix common misspellings in source code
  * Request for Changes-62: Enhance text comparison in dashboard
  * Request for Changes-63: Refactor threading mechanism in sampling filters
  * Request for Changes-64: Missing RAM for persistent filters in application
  * Request for Changes-65: Add Shark Random forests implementation
  * Request for Changes-67: ClassificationMapRegularization option for isolated pixels only
  * Request for Changes-68: New sampling strategies in classification framework

* Bugfixes :

  * Monteverdi
    * 0001298: Monteverdi crash with this image
    * 0001305: SuperBuild falling at BOOST build step
    * 0001283: GDAL overviews dialog pops under OTB-applications dock
    * 0001284: GDAL overviews default min-size = 4096 px
    * 0001282: Status-bar is not always disable at startup
    * 0001278: Add force OpenGL 1.x compatibility option
    * 0001267: Monteverdi: unclear "gdal overview" minimum size parameter
    * 0001274: SuperBuild GLUT compilation problem
    * 0001277: Missing icon(s) in color-dynamics widget
    * 0001275: Monteverdi: Histogram view problem with binary image
    * 0001300: monteverdi $input_filename crash with relative path
    * 0001303: Memory issue in Monteverdi with images with subdatasets (HDF4)
    * 0001299: Monteverdi shortcuts list needs some updates
    * 0001291: Word "Echiquier" is not displayed properly in layer stack (effect column)

  * OTB-Packaging
    * 0001290: Unable to run OTB applications from Mapla.app on Mac OS X
    * 0001297: No translation files in Windows standalone package (branch release-5.8)

  * Orfeo Toolbox (OTB)
    * 0001308: Typo in otbenv.profile and otbenv.cmd
    * 0001286: Sentinel-1 sensor metadata are not retrieved properly if application is run inside the SAFE directory
    * 0001287: Using S1 images in monteverdi is slow
    * 0001268: Patch for spelling error in 5.6.1
    * 0001306: SuperBuild falling at TIFF build step (GLUT_Xmu_LIBRARY NOTFOUND)

  * OTB-applications
    * 0001301: Mapla application does not provide translation files

OTB-v.5.6.1 - Changes since version 5.6.0 (August 26th, 2016)
-------------------------------------------------------------

* Bugfixes :
  * 0001262: OTB 5.7 vector sampler bug
  * 0001259: Patch for various spelling errors in 5.6.0
  * 0001258: Patch to only use OTB_GIT_STATUS_MESSAGE in message function if set.
  * 0001266: Fix covariance computation with high float values

OTB-v.5.6.0 - Changes since version 5.4.0 (July 28th, 2016)
------------------------------------------------------------

* Request for Changes (http://wiki.orfeo-toolbox.org/index.php/Requests_for_Changes):
  * Request for Changes-49: Improve classification on vectors
  * Request for Changes-48: Add geometric correction to S1 Sensor Model
  * Request for Changes-47: Improve the CompareImages app
  * Request for Changes-46: Sample extractor
  * Request for Changes-45: CMake uninstall target
  * Request for Changes-43: Update SuperBuild cmake script and thirdparty versions
  * Request for Changes-42: Generator for completion scripts
  * Request for Changes-40: clang modernize
  * Request for Changes-41: Provide a summary after cmake configuration
  * Request for Changes-38: update gdal to 2.x version in superbuild
  * Request for Changes-37: Enhance ManageNodata application
  * Request for Changes-36: Samples selection filter
  * Request for Changes-26: MPI Image File Writer

* Bugfixes:
  * MANTIS-1255: Remaining log when opening Sentinel1 product in Monteverdi
  * MANTIS-1254: Checking/Unchecking parameters re-enable execute button on running application
  * MANTIS-1252: msvc warning C4838 la conversion de 'double' en 'const float' requiert une conversion restrictive
  * MANTIS-1251: OTB Superbuild does not forward compiler versions to external projects anymore
  * MANTIS-1249: ioTvMultiChannelROI_*_JPEG2000_2_TIF_res5 are failing when using gdal openjpeg driver
  * MANTIS-1247: Patch for various spelling errors
  * MANTIS-1246: Inputs do not occupy the same physical space!
  * MANTIS-1243: apTvCl*RegressionTest_monovar failing due to error in opencv
  * MANTIS-1242: otbMapProjectionAdapter.cxx WARNING: Impossible to create the projection from Wkt: ossimUtmProjection
  * MANTIS-1241: dl_close appears on apTvClTrainMethodANNImagesClassifierQB1
  * MANTIS-1240: [ComputeImagesStatistics] Filename extension in uppercase are not supported
  * MANTIS-1238: Train regression with ANN crashes
  * MANTIS-1237: Inconsistent parameter order in OTB application
  * MANTIS-1234: more tests are failing in superbuild
  * MANTIS-1233: Exception in example Examples/Learning/TrainMachineLearningModelFromSamplesExample.cxx
  * MANTIS-1227: set all USE_SYSTEM_* to FALSE by default
  * MANTIS-1225: internal openjpeg driver and confusing OTB_USE_OPENJPEG
  * MANTIS-1223: Possible error in function "template <typename T> T InverseValue(const T & value)" defined in otbMath.h
  * MANTIS-1220: show last git commit message during cmake configure
  * MANTIS-1218: Segmentation fails - error message not understandable
  * MANTIS-1217: Degree symbol badly displayed in OTB applications
  * MANTIS-1215: OTB-FAQ page not found contribute.html (404)
  * MANTIS-1214: incorrect install instruction for Mac OSX in OTBCookBook 5.4
  * MANTIS-1213: incorrect years calculated in cookbook
  * MANTIS-1212: OTB windows package contains two copies of otbapp_* dll
  * MANTIS-1211: Patch for various spelling errors
  * MANTIS-1210: make fails at downloading 'LIBSVM'
  * MANTIS-1209: superbuild: fix qt build on osx
  * MANTIS-1208: Need to click in image view to force computation of quantiles (shortcut 'Q')
  * MANTIS-1207: OTB_SB_CMAKE_COMMAND uses in External_otb.cmake but not set

OTB-v.5.4.0 - Changes since version 5.2.1 (2016/05/04)
------------------------------------------
* Core
  * Ice is now a regular OTB module (RFC 23)
  * Masked iterator decorator (RFC 22)
  * Filter to analyse polygons for available samples (part of new sampling framework, RFC 29)
  * Faster resampling filter for rigid scaling and translation operations (RFC 30)
  * Modified behavior of reading/writing of TIFF RPC tags (RFC 31)
  * Allow a module to be built outside the OTB source tree (RFC 32)
  * Dashboard cleaning, part 1 (RFC 33)
  * Enhancement of SARDecompositions : Barnes, Huynen, Pauli decompositions (RFC 34)

* Monteverdi
  * Take screenshot of current display (RFC 20)
  * Allow subdatasets import (RFC 21)
  * Disable GLSL shader if OpenGL version is lower than 2.0 (RFC 25)
  * Allow generation of gdal overviews when importing images (RFC 24)

* Documentation:
  * Merge software guide into main OTB repository (RFC 17)
  * Remove random contributor list generation (RFC 28)

* SuperBuild:
  * Add Monteverdi and its dependencies (glfw, GLEW, glut)

* Bug fixed

  * Monteverdi2
    * 0001179: Using the Upper Bound mode for resolution lookup in preferences result in wrong resolution used
    * 0001197: Clicking on minimap to navigate result in monteverdi crashing
    * 0001178: Zoom to full resolution does not zoom to 1 image pixel = 1 screen pixel for georeferenced data
    * 0001203: Clicking on 1:1 button several time result in strange cycling behaviour
    * 0001205: Gamma slider effect inverted between full and quicklook view
    * 0001202: Wrong aspect ratio at loading
    * 0001148: OTB-applications not loaded
    * 0001196: OTB-application Quit button closes widget but not window when using Mapla
    * 0001147: With Monteverdi develop branch of today : opening large images with overview file leads to eating all available memory
    * 0001138: Numeric value editing hell
    * 0001136: Unable to open sensor products (with RPC) in Monteverdi
    * 0001159: TrainImageClassifier sample.vtr parameter is sometime ignored
    * 0001173: KDE grabs drag event before monteverdi, making image navigation impossible
    * 0001144: Unable to keep unconstrained dynamic mode
    * 0001156: Linux standalone package doesn't work on Fedora 22
    * 0001157: monteverdi crashes when trying to move the view without any images
    * 0001153: Superimpose app in PHR mode reports wrong origin/spacing/keywordlist
    * 0001154: Exception raised when opening LUM or LUM+HDR
    * 0001152: maximum number of class in KMean application limited to 255
    * 0001140: Lost pixel position information in layer stack

  * OTB-Packaging
    * 0001141: muparser 2.2.4 is missing in superbuild archive 5.2.1
    * 0001171: Crash in OGR : libproj-0.dll not found
    * 0001150: Can't "easily" deactivate LIBKML from OTB Superbuild

  * Orfeo Toolbox (OTB)
    * 0001206: Cannot maximize monteverdi window in standalone package
    * 0001177: SuperBuild fails at MVD configure step (release-5.4 branch)
    * 0001194: freeglut required x11 extension on osx
    * 0001188: deactivate openldap, openssl, libssh2 when building superbuild curl.
    * 0001190: use same compiler for all builds in the superbuild
    * 0001184: superbuild libtiff is using libjbig from system without warning
    * 0001185: minimal build of GDAL in superbuild
    * 0001187: superbuild cannot find Qt4 during OTB configure on osx
    * 0001193: deactivate finding osx framework for library
    * 0001163: Windows MinGW packages do not contain the libsvm classifier
    * 0001164: Monteverdi crashes when opening a tif without projection information
    * 0001167: GUI applications visual response after clicking the "Execute" button is slow and confusing
    * 0001158: Missing field in RefineSensorModel statistics file
    * 0001166: otbgui_MeanShiftSmoothing problem with Mode Search parameter
    * 0001169: add libsvm package to mxe and enable OTB_USE_LIBSVM
    * 0001143: Patch for various spelling errors
    * 0001151: GDAL_SB_EXTRA_OPTIONS can not take multiple options
    * 0001142: Fails to build with ITK 4.9.0 (itksys/FundamentalType.h: No such file or directory)

  * OTB-lib
    * 0001145: Ice doesn't clamp rendered values to the specified minimum of the range
    * 0001139: OGRLayerStreamStitchingFilter CommitTransaction fail is some cases
    * 0001137: GDALImageIO does not support SENTINEL2 sub-datasets

  * OTB-applications
    * 0001149: ReadImageInfo application crash with Sentinel1 (SLC SM product)
    * 0001162: Unable to perform Sentinel-1 SAR calibration on extract
    * 0001183: Unable to edit image path in Qt GUI wrapper with complex image
    * 0001182: Crash when editing InputImageParameter Qt widget
    * 0001161: Inconsistency of SAR calibration applications denomination


OTB-v.5.2.1 - Changes since version 5.2.0 (2016/01/19)
------------------------------------------
* Bugs fixed:
  * Mantis-1124: fix the use of Update_command and reorder the patch commands properly
  * Fix some Coverity reports

* Superbuild:
  * Update OSSIM to latest stable and improve version checking during CMake configuration

* Monteverdi:
  * Mantis-1096: QuicklookView
  * Mantis-1125: Use OTB_APPLICATION_PATH in startup files

* Other:
  * Apply spelling patch from DebianGIS
  * Find only required itk components. Patch proposed by Debian.
  * Fix mxe gcc dir and list of system dlls exceptions

OTB-v.5.2.0 - Changes since version 5.0.0 (2015/12/22)
------------------------------------------
* Library (the corresponding requests for changes are mentioned):

  * Core
    * Read, write and manage no-data flags (RFC-1 & RFC-14)
    * Improve otb::DEMHandler interface (RFC-2)
    * Build examples based on available modules in OTB installation (RFC-3)
    * Helper functions for string operations using boost (RFC-6)
    * Gdal 2.0 support (RFC-11)
    * Enhancement of python wrapping (RFC-12)

  * Machine Learning
    * Provide quality index for classification
    * Regression mode in OTB and OTBApp (RFC-7)

  * SAR
    * Add basic support for Sentinel1 Product (RFC-4)
    * Update SAR radiometric calibration application in OTB (RFC-9)
    * New applications for SAR processing (RFC-10)

  * Applications
    * Improve ApplicationRegistry for application loading (RFC-15)
    * Provide a default output pixel type in applications (RFC-17)

  * SuperBuild
    * Provide a script to build the all-in-one SuperBuild archive (RFC-5)
    * Upgrade dependencies versions in SuperBuild (RFC-19)
    * New dependency : Freetype 2.6
    * ITK 4.7.1 -> 4.8.1
    * JPEG v9a -> turbo 1.4.1
    * OpenThreads 3.2 -> 3.4
    * Ossim r23092 -> r23537
    * GeoTIFF 1.4.0 -> 1.4.1
    * muParser 2.2.3 -> 2.2.5
    * OpenCV 2.4.10 -> 2.4.11
    * OpenSSL 1.0.1e -> 1.0.1p
    * Qt 4.8.6 -> 4.8.7
    * Swig 3.0.5 -> 3.0.7
    * TIFF 4.0.3 -> 4.0.6

* Bug fixed:

  * Monteverdi2
    * 0001120: Unwanted zoom-to-extent when loading second image
    * 0001103: OutputProcessXMLParameter pre-initialization used even if disabled.
    * 0001111: Geoid-file <arning message needs restart displayed when not needed.
    * 0001118: Crash when restoring UI layout if quicklook view is visible at startup.
    * 0001104: Crash as soon as I open an image
    * 0001100: Crash when trying to Apply same parameters (dynamic, effects, color map...) on images with different number of bands
    * 0001072: I18nCoreApplication::ElevationSetup() exceptions not displayed
    * 0001070: otb::DEMHandler not updated properly when resetting DEM-directory and/or Geoid-file.

  * OTB-Packaging
    * 0001049: Last Monteverdi2 and Mapla release Win package crash when we try to import JP2 file

  * Orfeo Toolbox (OTB)
    * 0001051: CMake warnings when preparing SuperBuild configuration
    * 0001068: crash in otbcli_LSMSSegmentation
    * 0001080: there are some characters can not be recognized, which make compile errors
    * 0001088: Fedora 22 copr repo for OTB
    * 0001092: ITK (4.7.1) provided by SuperBuild do not compile with GCC version > 5
    * 0001090: SuperBuild Openthread download link broken
    * 0001081: GDAL RPC tags export prevent correct export of wkt in ortho-rectified image
    * 0001056: ComputeImagesStatistics applications produces incorrect std
    * 0001093: CMake with Ninja generator configure fails when OTB_USE_QT4=ON
    * 0001084: Deactivate all 3rd part components in OpenCV configuration
    * 0001077: Superbuild: Broken open scene graph archive link
    * 0001069: Unable to install gdal python bindings in custom install directory with OTB Superbuild
    * 0001065: Build OTB Examples based on available modules in OTB installation
    * 0001075: prTeEstimateRPCSensorModelExampleTest  always failing in examples
    * 0001074: Missing ITCopyright.txt in OTB sources
    * 0001066: missing file(Capitole-Shadows) from OTB-Data
    * 0001055: SuperBuild builds ogr2ogr without sqlite driver

  * OTB-lib
    * 0001082: ImageFileReader<> crashes after ApplicationRegistry::RefreshApplicationFactories() is called
    * 0001098: Exception raised when typing in input process XML parameter
    * 0001097: Cannot manually type in input vector data line-edit.
    * 0001085: Add a ::GetInput() accessor  to QtWidgetOutputImage/FilenameParameter
    * 0001083: Extended filename parameters not updated when calling ImageFileReader<>::SetFileName() several times
    * 0001078: Exception thrown (OTB-Ice) when opening image without projection info
    * 0001071: Add otb::DEMHandler ::ClearDEMDirectory() and ::ClearGeoidFile() interface.

  * OTB-applications
    * 0001119: Band Math X cannot manage large neighborhood (>=25x25 pixels)
    * 0001112: File not found if filename contains accents when using GUI
    * 0001059: Input and output image parameters require absolute path
    * 0001076: Application ComputeImagesStatistics gives wrong standard deviation


OTB-v.5.0.0 - Changes since version 4.4.0 (2015/05/28)
------------------------------------------

* Library:

  * Modularization
     * Code is now better organized in groups/modules/classes
     * ITK CMake architecture to handle module and dependencies is used
     * Modules can be deactivated at will with dependencies tracking
     * Third parties software are handled as module and can be deactivated
     * Tests and applications are embedded in modules
     * Writing of new module or update of existing modules is simplified by cmake magic

  * Remove deprecated code
     * MeanShiftVectorImageFilter  and MeanShiftImageFilter classes
     * CommandLineLauncher(const char * exp) and Load( const std::string & exp ) methods in CommandLineLauncher class

  * ThirdParties
    * No more internal versions of most third parties (except 6S, siftfast, ossimplugins)
      * Removed openjpeg sources from OTB source
      * Removed LibSVM sources from OTB source
      * Removed Edison sources from OTB source
      * Removed ConfigFile sources from OTB source
      * Removed LibKML sources from OTB source
    * Add support for external openjpeg 2.1
    * Third parties copyrights have been cleaned

  * Superbuild
    * A separate superbuild project has been added in the Superbuild repository
    * This download, configure and build all OTB dependencies from source and then build OTB. It replaces the removed internal versions.
    * Sources are checked out at configuration time or can be downloaded beforehand
    * Allow building a complete OTB with a handful of prerequisites (gcc, cmake, curl)

  * Doxygen
    * Classes are now organized by modules
    * Direct link to official ITK doxygen

* Bug fixed:

  * Monteverdi2
    * 0001033: Crash when updating no data value in mv2

  * Documentation
    * 0001028: URL for online application documentation is not available anymoreon the orfeo website
    * 0001006: GetPixel is missing on the otb::Image page

  * OTB-lib
    * 0001039: ITK patches are not always used
    * 0001045: StreamingStatisticsMapFromLabelImageFilter can't be templated with otb::Image as support image
    * 0001023: malloc error in otb::SVMModel destructor
    * 0001041: Optimization of Band Math Image Filter (from 60M cycles to 40M cycles)
    * 0001040: Optimization of Concatenate VectorImage Filter (from 28M cycles to 8M cycles)
    * 0001043: Optimization of Multi to Mono Channel Extract ROI (from 8M cycles to 3M cycles)
    * 0001011: Need safeguards to test for ExtendedFilename parameters
    * 0001035: Unexpected maximum number of reader instances with open-jpeg driver
    * 0001022: RefineSensorModel Segfault
    * 0001042: Optimization of Image to VectorImage Cast Filter (from 47M cycles to 7M cycles)
    * 0000005: can not read unsigned char three channels data into otb::Image<unsigned char,2> properly

  * OTB-Packaging
    * 0001027: [ubuntugis package] OTB Applications in Ubuntu package do not use custom version of ITK UnaryFunctorImageFilter
    * 0001010: OTB MXE binary package is buggy

  * Orfeo Toolbox (OTB)
    * 0001047: Convolution test needs ITK with USE_FFTD
    * 0001038: Superbuild configuration fails on Debian Jessie
    * 0001024: QtWidgetStringListParameter is buggy
    * 0001026: In command line application launcher, image path and filename can not contain "--"
    * 0001044: OTB Windows 64bit -error cast from 'const short unsigned int*' to 'long unsigned int
    * 0001025: QtWidgetListViewParameter gets reset when changing another parameter in applications
    * 0001014: OTB does not compile with ITK 4.8
    * 0000597: Optical calibration gives values greater than 100% on PHR products
    * 0001047: Convolution test needs ITK with USE_FFTD
    * 0001030: When writing images with no SRS / kwl, a default WGS84 projection is assigned in gdalImageIO

  * OTB-applications
    * 0001032: otbgui_RadiometricIndices output image without spatial reference system EPSG code
    * 0001037: file and vector outputs need explicit relative paths
    * 0001036: TileFusion application crashes with SPOT-7 tiled images
    * 0000728: Inconsistent polygon number in concatenate vector data output
    * 0001031: Wrong projection for output vector of segmentation application


OTB-v.4.4.0 - Changes since version 4.2.1 (2015/02/13)
--------------------------------------------------------

* Library:

  * Core:
    * Add a BandMathXImageFilter, otbParserX, otbParserXPlugins filters based on MuParserX
    * Correct a lot of issues related to Coverity scan
    * Giving access to probability estimates mode in libSVMMachineLearningModel and RandomForestsMachineLearningModel
    * Clean and update the header include into OTB
    * Enhance p to xs registration formula
    * Reduce Curl dependencies
    * Remove 6S dependency for VarSol computation
    * Clean and update the Mapnik adapters code into OTB
    * Add an option to limit the number of samples by class into otbListSampleGenerator
    * Fix BCO interpolation about coefficients normalization
    * Fix missing boost namespace
    * Fix Production date issue in IkonosImageMetadataInterface
    * Mark ancillary methods as deprecated otbWrapperCommandLineLauncher
    * Add regression mode to Random Forests
    * Add absorptances and fcover to SAIL code
    * Remove MeanShiftKernel file, duplicates of SVMKernel file, and not used anywhere

  * CMake:
    * Improve compatibility with cmake 3.0

  * Testing:
    * Avoid multiple declaration of same function over different compilation units
    * Add test to use SVM machine learning class in regression mode
    * Remove obsolete and not compiled anymore tests
    * Rewrite add_test declaration to have exe name on the first line. will help modularisation script
    * Use a single cmake var for referencing large inputs

  * Documentation:
    * Enhance Doxygen Documentation

* Applications:
  * New:
    * New BandMathX application with awesome mathematical functions
    * New applications for learning/classification of geometries in a shapefile:
        * ComputeOGRLayersFeaturesStatistics
        * TrainOGRLayersClassifier
        * OGRLayerClassifier
  * Updated applications:
    * Smoothing: add conductance parameter for anidifusion which was added recently in ITK filter
    * Smoothing: keep the time step independent from the image spacing
    * HomologousPoint: proper computation of the opposite region
    * Rasterization: fix computation of output image extent
    * GridBasedImageResampling: fix the wrong channel number otbGridBasedImageResampling.
    * ColorMapping: clamp before cast to uchar
    * OpticalCalibration: the toc computation is no more marked as experimental
    * OpticalCalibration: add an internal test to check if RSR file is correctly set
    * BundleToPerfectSensor and SuperImpose: Allowing to force default mode with Pleiades images
    * SuperImpose: fix a bug in PHR mode detection logic
    * TrainImagesClassifier: add option to limit the min number of samples to the smallest class
    * MeanShiftSmoothing: add missing ram parameter
    * StereoRectificationGridGenerator: add warning message about image sizes when enabling inverse transformation estimations.

* Bugs fixed:
  * OTB-lib:
    * 0001003: logical bug in IkonosImageMetadataInterface ::GetPhysicalGain(),resolved,fixed,"In IkonosImageMetadataInterface::GetPhysicalGain()
    * 0001005: build error with otbUtilitiesTests
    * 0000987: update contents of README
    * 0000974: Bad processing of OTB Smoothing Anisotropic Filtering
  * OTB-Applications:
    * 0000975: OTB Applications which use OpenMP cannot be loaded with gcc version < 4.3.0
    * 0000976: Strange output for ColorMapping application with LUT computed on support image

OTB-v.4.2.1 - Changes since version 4.2.0 (2014/09/19)
--------------------------------------------------------

* Bug fixed:
  * OTB-lib:
    * 0000973: Include directories in the wrong order
    * 0000764: otbcli_ComputeImagesStatistics doesn't error check output file location
    * other minor fix


OTB-v.4.2.0 - Changes since version 4.0 (2014/09/04)
--------------------------------------------------------

* Library:

  * Core:
    * Major compliance upgrade with index coordinates convention between OTB,
      GDAL and OSSIM. OTB uses pixel centered convention, whereas GDAL and
      OSSIM use corner pixel convention. More details on JIRA #647 and Mantis
      #942
    * Major performance improvement of Haralick Texture computation (6 to 10 times
      faster)
    * Add new texture feature (dissimilarity) in ScalarImageToAdvancedTexturesFilter
    * Improvements of Simulation code in order to be able to use the solar
      irradiance information when working with spectral responses for simulations.
    * Support Jpeg2000 images through GDAL drivers (can use OpenJpeg, Kakadu, ECW)
    * Reading/Writing RPC coefficients in GeoTIFF tags
    * Cleaning of ITK pending patches
    * Update internal ITK to 4.6.0
    * Support SPOT6 metadata
    * Integrate improvements from Monteverdi2
    * Support clang 3.5.1
    * Support MinGW compiler
    * API change on the TOC calibration filters, previous classes were not
      fully functional. Now supports any correction parameters set by user.
      See Examples/Radiometry/AtmosphericCorrectionSequencement.cxx for
      details on the migration.
    * Better support of atmospheric corrections for Pleiades images. Proper
      computation of satellite zenital angle using incidence angles and
      satellite orientation angle convention

* Applications:
  * Updated applications :
    * Superimpose and BundleToPerfectSensor : Add a specific reprojection mode for PHR bundle
    * OpticalCalibration : parameters more flexible, allow users to overwrite metadata values

* Bugs fixed:

* Monteverdi2
    * 0000915: In mvd2 applications wrappers InputImageList parameters, only the first item of the list is droppable
    * 0000960: Drop from file explorer doest not work.
    * 0000928: Output results of applications are not selected in the dataset manager
    * 0000908: Vector-image model settings serialization persistence (gamma)
    * 0000919: Inconsistent no-data checks in StreamingVectorImageFilter<> and StreamingHistogramVectorImageFilter<>.
    * 0000918: Image-view shift on click
    * 0000907: Serialization/persistence of viewport settings
    * 0000906: Quantiles editing on mono-bands images.
    * 0000909: Color-setup on PANCHRO images.
    * 0000905: Calculation of zoom-extent in Quicklook-view.
    * 0000964: Wrong update of Gamme cursor position
    * 0000929: Drag and Drop in otb application a dataset leads to the disappearance of the dataset into the widget
    * 0000921: Application freezes at the end of image import.
    * 0000947: Dropping dataset to the last subgroup of the data tree crash the application
    * 0000933: Drag a dataset from temporary in the dataset manager outside the tree leads to a crash
    * 0000903: Removing mvd2 directory content leads to a core dumped as startup
    * 0000920: Wide unzoom aborts application
    * 0000917: Applying same quantiles to all channels crash the application
    * 0000962: Monteverdi2 cannot be run on OSX (image file not found).
    * 0000924: Monteverdi2 does not start after the check of OpenGL was added
    * 0000923: Monteverdi2 does not start after the check of OpenGL was added

  * Documentation
    * 0000948: Softwareguide OTB 4-0 : section 14.2.2 SIFT Detector (from chapter 14 Feature Extraction) is empty.

  * OTB-lib
    * 0000955: Wrong computation of SFS Textures
    * 0000940: Some output states are not correctly manage into Qt Application
    * 0000939: crash with a GIF/BMP image with ColorInterp=Palette when we request overviews via GDAL
    * 0000966: VectorDataExtractROIApplication does a strange reprojection
    * 0000932: Error in LSMS
    * 0000936: Sub-pixel disparity filter is not compatible with disparity maps over subsampled grids
    * 0000914: MeanShiftSmoothing application foutpos parameters is always mandatory
    * 0000943: TrainImagesClassifier and ListSampleGenerator problem
    * 0000954: GeometriesChangeSpatialReference does not work
    * 0000949: BundleToPerfectSensor application: in PHR mode, the ourpur geom file is the XS one, not the PAN one
    * 0000926: OTB does not compile with clang 5.1
    * 0000968: CommandLineLauncher needs 2 passes to load parameters
    * 0000951: BundleToPerfectSensor application does not work in default mode with external ITK (internal ITK is fine)
    * 0000944: OTB does not compile with ITK4.6 git version

  * Monteverdi
    * 0000957: Unable to display input and output of ExtractRoadExample in transparency mode in Monteverdi


OTB-v.4.0.0 - Changes since version 3.20 (2014/03/13)
--------------------------------------------------------

* Library:

  * Core:
    * [Breaking change !] Change OTB implementation and API to support ITK version 4.5
      * More information at http://wiki.orfeo-toolbox.org/index.php/Migration_guide_OTBv4
    * Refactor otbAttributesMapOpeningLabelMapFilter to be compatible with ITK 4.5
    * Remove FLTK based Visualization part from OTB: all these projects are now in Monteverdi
    * Rename EuclideanDistance as EuclideanDistanceMetric
    * Remove otbMaskedScalarImageToGreyLevelCoocurenceMatrixGenerator
    * Use local masks in otbHaralickTexturesImageFunction
    * Remove methods of otbSystem.h which can be replaced by similar ones in itksys/SystemTools.hxx
    * Move classes about Amplitude and Phase functors from visualization to basic filter
    * otbImageToLabelMapWithAttributesFilter inherits from itkImageToImageFilter instead of itkLabelMapFilter
    * Overload GenerateInputRequestedRegion in otbImageToLabelMapWithAttributesFilter
    * Override VerifyInputInformation in otbImportGeoInformationImageFilter
    * Adding a gamma parameter in VectorRescaleIntensityImageFilter to allow for gamma correction
    * Clean up JoinHistogramMI code
    * Fix race condition in BinaryFunctorNeighborhoodJoinHistogramImageFilter
    * Remove unused OTB_USE_SYSTEM_VXL and OTB_VXL_DIR from OTBConfig and UseOTB
    * Improve detection of Large Files Support by not unconditionally defining LFS related macros
    * Support for Visual Studio 2012
    * Support for Visual Studio 2013
    * Support compilation in MacOSX 10.9 with latest XCode
    * Support for clang 3.5

  * Testing:
    * Correct multibaseline support
    * Move test related to amplitude and phase functor from visualization to basic filters

  * CMake:
    * Use modern CMake style: no block-end arguments and all CMake command to lower case format

  * ThirdParties:
    * OTB support now ITK with version greater to 4.5.0 (internal and external)
    * Remove FLTK dependency
    * Remove GETTEXT dependency
    * Remove LIBLAS dependency
    * Remove PQXX dependency
    * Improve support of muparser 2.0
    * Deactivate the possibility offered by CURL to download multiple files in parallel
    * Support mapnik 2.2

* Applications:

  * Updated applications:
    * ColorMapping : Remove dependency of ColorMapping to Visualization class
    * Convert : Adding gamma correction method the convert application
    * HomologousPointsExtraction : add mode.geobins.binsizey and mode.geobins.binstepy to allow for anisotropic geobins mode
    * HomologousPointsExtraction : new mode.geobins.margin parameter to only search inside image center.

  * Core framework:
    * Improve the support of XML parameters input/output file
    * Improve the input VectorData/Image/Filename parameter to give access to m_Input attribute

* Monteverdi:
    * Support OTB-ITKv4 API
    * Integrate FLTK visualization framework into Monteverdi from OTB and offers the possiblitity to use it into external project.
    * Support of MacOSX 10.9 compilation
    * Improve support of Windows platform for otbViewer
    * Remove intertionalisation test from Monteverdi

* Bugs fixed:
  * OTB-applications:
    * 0000884: InputImage parameter in java wrappers didn't overload the input parameters provided by input XML file
    * 0000883: InputImageList parameter in python wrappers didn't overload the input parameters provided by input XML file
    * 0000873: BandMath application in gui mode "Save to xml" option doesn't save "exp" parameter
    * 0000836: Error in Exact Large-Scale Mean-Shift segmentation, step 2
    * 0000824: otbgui_Orthorectification : changing the input image does not update UTM parameters
    * 0000881: GenerateRPCSensorModel application generate stats file with wrong elevation value

  * OTB-lib:
    * 0000878: apTvDmStereoFramework fails with muParser 2.2
    * 0000850: apTvDmBlockMatchingTest Parser error Unexpected token if
    * 0000862: Cannot build OTB with mapnik 2.2
    * 0000858: cannot build otb tests with ITK trunk
    * 0000851: Build error on test 0000169-fftcomplextocomplex
    * 0000861: CMake detects mapnik 2.2.0 as mapnik 0.7
    * 0000859: Unable to compile OTB trunk with external ITK trunk

  * Orfeo Toolbox (OTB):
    * 0000849: otbgui applications scrambled file names
    * 0000863: ConvertSensorToGeoPoint  application in GUI mode execute button is not activate even if all parameters seem to be filled
    * 0000872: Internal ITK 4.4.2 and ITK 4.5.0 source codes are mixed together in the OTB internal ITK source directory
    * 0000864: MultiResolutionPyramid MTV2 is in an endless loop of generation if the parameter "Number of levels" is set with a negative value
    * 0000830: otb::PolyLineImageConstIterator returns reference to temporary variable
    * 0000823: problem with python wrapper for otbApplication 'rasterization'

  * Documentation:
    * 0000838: ITK classes disappeared from doxygen during migration to ITK 4.x

OTB-v.3.20 - Changes since version 3.18.1 (2013/11/13)
--------------------------------------------------------

* Library

  * Core
    * Fix trapezoidal function in otb::FuzzyVariable
    * PleiadesImageMetadataInterface
      * update calibration absolute gains for Pleiades (values provided by CNES and not read from metadata anymore)
      * add calibration data for Pleiades 1B
    * StreamingStatisticsMapFromLabelImageFilter : change accumulator type to double instead of unsigned int
    * DEMHandler : support GeoTIFF as elevation
    * GenericRSResampleImageFilter & StreamingResampleImageFilter
      * add accessors for number of thread of deformation filter
      * set number of threads to 1 by default for the deformation field generator
    * SpotImageMetadataInterface : add relative spectral response for HRG1
    * MeanShiftSmoothingImageFilter : add range bandwidth parameter to adapt spectral radius to actual pixel value
    * StreamingStatisticsVectorImageFilter : protect against corner cases when image has 0 or 1 pixels

  * ThirdParties
    * Synced ossim plugins with the ossim repository

* Applications

  * New applications :
    * Large scale MeanShift set of applications : LSMSSegmentation, LSMSSmallRegionMerging, LSMSVectorization
      * See recipe in the CookBook

  * Updated applications :
    * ClassificationMapRegularization : handle images with label up to 65535
    * DimensionnalityReduction : added new parameter for saving transformation matrix
    * DownloadSRTMTiles : support projected input images
    * MeanShiftSmoothing : expose range bandwidth parameter
    * StereoFramework : deformation field are computed in float precision instead of double
    * TrainImageClassifier : fix ordering confusion matrix in case of arbitrary labels, like in ComputeConfusionMatrix
    * DimensionnalityReduction : add bounds for number of components depending on input image

  * Core framework :
    * Fix otbgui_XXX scripts to check for existence of otbgui.sh
    * Support saving and loading application parameters from/to XML files
    * Support extended filename for complex input images
    * QtWidgetModel emits a signal with associated exception in case an error occurs during application execution

* Bugs fixed :
  * OTB library
    * 0000805: All links in html FAQ return Error 404
    * 0000776: computeImagesStatistics imagelist input confusing error
    * 0000804: str and int concatenate error in Python Wrapper Application.GetParameterValue
    * 0000775: DoUpdateGUI() doing nothing for some parameters in QtWidget Wrapper
    * 0000799: when using OTB Applications in graphic mode "Execute" button become clickable even if output data is not set
    * 0000801: Some mandatory parameter with RoleOutput  should not be set by user
    * 0000770: Output parameter does not appear anymore in the command line helper
    * 0000798: All the OTB app parameters are not all saved into the xml output file
    * 0000779: [OTB]otbTrainImagesClassifier generates an output *.CSV confusion matrix with a wrong header
    * 0000809: LSMS Vectorization application didn't support output file with "-" special character
    * 0000807: otbKmzExport application generate weird kmz if the tilesize parameter is equal to zero
    * 0000808: otbDownloadSRTMTiles application seems to be broken
    * 0000803: otbApplicationLauncherCommandLine -inxml parameter does not retrieve pixel type for output image parameter
    * 0000794: Tiling mechanism didn't work into Large Scale MeanShift  application
    * 0000760: ClassificationMapRegularization output pixel values are always on 8 bits
    * 0000809: LSMS Vectorization application didn't support output file with "-" special character
    * 0000803: otbApplicationLauncherCommandLine -inxml parameter does not retrieve pixel type for output image parameter
    * 0000736: Error setting the index in RadiometricIndices application via python
    * 0000800: Watershed mode of segmentation application produce an image without CRS even if the input image has one
    * 0000806: Orthorectifcation application return black or weird output if we request an output in WGS projection
    * 0000755: otb-bin-qt 3.18.1 package on Ubuntu installation triggered a warning at installation
    * 0000801: Some mandatory parameter with RoleOutput should not be set by user
    * 0000770: Output parameter does not appear anymore in the command line helper
    * 0000793: Using dimensionality Reduction application with MAF algorithm and "Inverse output image" checked leads to crash
    * 0000773: [OTB]otbStreamingStatisticsMapFromLabelImageFilter wrongly counts and accumulates vectorpixel values
    * 0000398: OTB does not handle ortho-ready products properly

  * Monteverdi2
    * 0000789: Crash when selecting badly imported dataset.
    * 0000787: Can't drag up in Quick look view with ortho product
    * 0000750: Importation of a dataset which didn't exist because otb-app didn't run
    * 0000791: Accuracy error when converting float (-4.31608963) to string.
    * 0000792: Checking "Load otb application from xml file" crashes monteverdi2 on any application
    * 0000785: ITK exception raised when/after importing lena512color.jp2
    * 0000754: VertexComponentAnalysis app output importing leads to mvd2 crash
    * 0000756: BandMath application does not get ready when adding multiple inputs
    * 0000777: Wrong cartographic coordinates in pixel description widget for geotif product
    * 0000749: Output of the applications are detected as inconsistent
    * 0000752: When we run a otb app the selection of the dataset into the database manager didn't move to the output file
    * 0000748: Drag and drop a dataset into a inputImageList widget of an otb-app didn't work with Win platform
    * 0000747: Drag and drop an image into MVD2 didn't work with Win platform
    * 0000746: Locked/unlocked button didn't work
    * 0000768: Monteverdi 0.5.0 package depend now on QWT
    * 0000790: Monteverdi 2 crashes when running segmentation

OTB-v.3.18.1 - Changes since version 3.18.0 (2013/07/22)
--------------------------------------------------------

* Library
  * Core and Third Parties
    * Update the JPEG2000ImageIO to decrease cache consumption and avoid memory leak between OTB and internal OpenJPEG library
    * Improve the control over the generation of GDAL overviews with a new method to set the resolution factor

  * CMake
    * remove OTBParseArguments from OTB source because it is not used

  * Examples
    * Update HelloWorld example CMakeLists

  * Applications
    * Updated applications
      * Update Stereo application documentation example with new parameters
      * Add a log message about color mapping method used by application
    * Core Framework
      * Initialize properly QtWidgetChoiceParameter
    * Increase minimum cmake version to 2.8.3 wwhen build applications

OTB-v.3.18 - Changes since version 3.16 (2013/07/05)
--------------------------------------------------------

Among the classical improvements and bug fixes to existing functionalities, this release provides
the following main functionalities :
 * Huge improvements in Stereo framework, to compute DEM from stereo pairs :
   check the StereoFramework application !
 * Whole new classification framework, with seamless integration of all OpenCV classifiers in addition to the
   existing libSVM classifier, kept for backward compatibility : check the TrainImageClassifier application !
 * A classifiers fusion framework based on Dempster Shafer theory : check the FusionOfClassifications application !

The full list of improvements comes here :

* Library
  * Core and Third Parties
    * Expose Curl timeout as parameter
    * OGRLayerStreamStitchingFilter : fix issue #610 'Attempt to delete shape with feature id (405674), but it is marked deleted already.'
    * Preparation for ITKv4 : got rid of most patches in internal ITK version
    * Removal of old deprecated methods in all OTB classes
    * Fix mangling of internal OpenJPEG
    * Simpler and more automatic configuration and build on Windows based on OSGeo4W

  * Basic filters
    * Add NoData value and flag for StreamingMinMaxVectorImageFilter
    * StreamingStatisticsImageFilter & StreamingStatisticsVectorImageFilter : support for skipping Nan and for a background value

  * Stereo
    * New classes :
      * DisparityMapTo3DFilter : convert disparity map in epipolar geometry to 3D image in epipolar geometry
      * MultiDisparityMapTo3DFilter : convert several disparity maps in sensor geometry to a 3D image in sensor geometry
      * LineOfSightOptimizer : algorithm to fuse several elevation values by line of sight optimisation
      * BijectionCoherencyFilter : from 2 disparity maps, compute coherency left-right and right-left, and output a mask of coherent disparities
      * Multi3DToDEMFilter : fuse several 3D images to produce an elevation map
      * DisparityTranslateFilter : filter to translate epipolar disparities into sensor disparities
    * PixelWiseBlockMatchingImageFilter : fix initialization of metric and disparities
    * PixelWiseBlockMatchingImageFilter : supports a shift on the subsampled grid
    * SubPixelDisparityImageFilter : supports a subsampled grid (with shift)
    * PixelWiseBlockMatchingImageFilter & SubPixelDisparityImageFilter : subsampled disparities are now consistent with the dispmap index spaces

  * IO
    * GDALImageIO : support reading overviews. "image.tif?&resol=3" is now supported as file name
    * Extended file names now supports the "box" key for writing only a subset of the image

  * Learning
    * Generic framework of classification filters, integrating OpenCV classifiers and libSVM
      * New classes
        * MachineLearningModel
        * MachineLearningModelFactory
        * LibSVMMachineLearningModel, based on pre existing libsvm functionalities
        * OpenCV based classifiers :
            BoostMachineLearningModel DecisionTreeMachineLearningModel GradientBoostedTreeMachineLearningModel
            KNearestNeighborsMachineLearningModel NeuralNetworkMachineLearningModel
            NormalBayesMachineLearningModel RandomForestsMachineLearningModel SVMMachineLearningModel

    * ConfusionMatrixCalculator : add correspondence between class label and indices
    * ConfusionMatrixMeasurements : add new class for computation of precision, recall and F-score

  * Fuzzy
    * New Dempster Shafer based fusion of classifiers framework
      * Theory explained in http://wiki.orfeo-toolbox.org/index.php/Information_fusion_framework
      * New classes : DSFusionOfClassifiersImageFilter, ConfusionMatrixToMassOfBelief

  * Segmentation
    * Fix some numerical instabilities in mean shift segmentation filter

  * Radiometry
    * Fix spectral sensitivity reading of Pleiades images
    * Add PHR 1B averaged solar irradiance provided by CNES


  * Applications
    * New applications
      * Added new SRTM tiles downloader (DownloadSRTMTiles)
      * Added new PLY file generator (GeneratePlyFile)
      * TrainImageClassifier and ImageClassifier : made TrainSVMImageClassifier & ImageSVMClassifier
        more generic and expose OpenCV classifiers.
        Check the migration guide at : http://wiki.orfeo-toolbox.org/index.php/Classification_OTB_applications

    * Updated applications
      * StereoFramework :
        * Handles several images in input by stereo couples
        * More robust block matching with coherency checking in both directions
        * Choice of metric for block matching
        * Optional median filtering for disparities
        * Add variance threshold on input images for masking pixels where variance is too low
        * Add support for final projection of DEM in other SRS than WGS84
      * ExtractROI : add a mode to fit another reference image
      * StereoRectificationGridGenerator : disable agvdem by default
      * StereoSensorModelToElevationMap application removed to avoid duplicating functionalities provided by StereoFramework
      * MaxiumuAutocorrelationFactor application removed to avoid duplicating functionalities provided by DimensionnalityReduction
      * BlockMatching : expose step parameter
      * BlockMatching : supports a shift on the subsampled grid
      * ColorMapping : remove flooding of logs
      * TrainImageClassifier & ComputeConfusionMatrix : enhance reporting of confusion matrix by displaying real labels
      * ReadImageInfo : add index of largest possible region
      * ComputeImageStatistics : support for background values, add progress reporting
      * CompareImages : use whole image when no ROI is provided
      * RigidTransformResample : all transformations are now synced to be from input space to output space

    * Core Framework
      * Manage UTF8 paths in GUI
      * Fix a crash in string list parameter widget in GUI

* Monteverdi

* Bug Fixes
  * OTB-lib
    * 0000707: Memory leaks in ApplicationWrappers
    * 0000712: weird result of DempsterShaffer fusion of classification
    * 0000685: UTF-8 paths not managed by Qt GUI in OTB Applications
    * 0000686: Input file paths are deleted in some input fields of Qt GUIs
    * 0000684: Impromptu cursor jumps in some input fields of Qt GUIs

  * Documentation
    * 0000643: Installation documentation is outdated
    * 0000720: [OTB Wiki] Unable to save an edited page with a hypertext link within it

  * OTB-applications
    * 0000704: results of otbcli_Segmentation reflexed
    * 0000711: Segmentation Fault and crash of applications after modifying any input  "ParameterType_StringList" field
    * 0000709: otbcli_ComputeImagesStatistics includes NaNs and background values
    * 0000710: otbcli_ComputeImagesStatistics "progress" switch doesn't work
    * 0000697: ComputeConfusionMatrix
    * 0000670: Confusion matrix report unclear
    * 0000723: CompareImage application without ROI parameter results in FATAL error

  * Monteverdi2
    * 0000632: Monteverdi2 crashes after zooming twice
    * 0000714: Import existing image in the database leads to a crash
    * 0000675: Filename too long
    * 0000708: MVD2 - Cache-dir removed from disk.
    * 0000664: Very long loading time the second time with TIFF product
    * 0000655: ProgressDialog does not close if error is displayed.
    * 0000646: Viewport is black or diminish when maximising or resizing the window before opening image
    * 0000645: Viewport goes black or diminish when maximising or resizing the window after opening image
    * 0000639: Using keyboard arrows with Monteverdi2 maximized grabs all keyboards events
    * 0000653: "monteverdi2 imagepath" creates a dataset model directory even if the image does not exist
    * 0000699: Datasets loaded through mvd2-viewer command-line are disabled
    * 0000679: Inconsistency between mouse cursor position and image displacement when dragging
    * 0000669: The application don't detect the fact that I didn't modify the settings
    * 0000668: Precision loss when loading/saving/reloading
    * 0000666: upper quantile is not set to 0.0 on integer image type, when using min/max button
    * 0000656: Import Windows does not close
    * 0000659: At first startup, 'mvd2' dir is not created but Monteverdi2 should create it
    * 0000660: Wrong display settings saved
    * 0000657: Radiometry values hide WGS84 coordinates in status bar
    * 0000654: When minimizing the window, all widgets are closed
    * 0000665: Monteverdi2-0.1 label in Startup menu does not have an icon
    * 0000644: Make Monteverdi2 window autofit to the screen's size
    * 0000638: Displacement in the image let a black line of pixels at the top of the full res window
    * 0000636: Displacement related to keyboard arrows is to small
    * 0000637: Displacements associated with vertical keyboard arrows are inverted with respect to Monteverdi 1.x
    * 0000633: Can not edit spinner fields in Video Color Dynamics widget
    * 0000634: Steps of Quantiles spin-box are to coarse
    * 0000718: Confirm dialog only displays MD5 name when deleting dataset.
    * 0000648: Deploy icons for Monteverdi2 in  packages and also for local build if possible

OTB-v.3.16 - Changes since version 3.14.1 (2013/02/04)
--------------------------------------------------------
* Library
  * Core and Third Parties
    * Various enhancement of PleiadesImageMetadataInterface
    * Added GetEnhancedBandNames method in ImageMetadataInterface
    * Added read and write geom file support in OssimSensorModelAdapter
    * Refactoring of DEMHandler:
      * Turned the class into singleton
      * Made the DEMHandler the single configuration point for all elevation setup
      * Deprecated all methods from other classes allowing to configure elevation source
      * Added Exhaustive testing of all configuration cases (DEM, geoid, default)
      * Improved documentation
    * Refactoring of SensorModelAdapter:
      * Decreased size of the code
      * Made methods stick to what OSSIM does
    * Refactored RpcProjectionAdapter into RpcSolverAdapter
    * Updated ossim to r21971

  * IO
    * Added support for GDAL driver creation options in GDALImageIO
    * Added support for external geom files in ImageFileReader
    * Extended filenames
      * Added framework for extended filenames (see http://wiki.orfeo-toolbox.org/index.php/ExtendedFileName)
      * Added support for extended filenames in ImageFileReader
      * Added support for extended filenames in ImageFileWriter
    * Refactored StreamingImageFileWriter and ImageFileWriter
      * ImageFileWriter is now the only class to use
      * StreamingImageFileWriter is a deprecated subclass provided for backward compatibility
      * Fixed a bug when the largest possible region could be asked in some cases

  * Projections
    * Refactored the GCPsToSensorModel filter

  * BasicFilters
    * Simplified computation of coefficients in Frost and Lee filters

  * Fusion
    * Added the LMVM fusion algorithm (kindly contributed by A. Tzotsos)

  * Radiometry
    * Updated solar irradiance for WV2 (kindly contributed by D. Duros)
    * Enhanced the TOA radiance computation for WV2 by integrating the effective bandwidth

  * Learning
    * Improved ListSample generation
      * Added support for interior rings
      * Fixed support for class minimum size
    * Added a filter for classification map regularization by majority voting

  * Segmentation
    * Added segmentation algorithm based on multiscale morphological structures classification

  * OBIA
    * Added a filter to compute mean radiometric values for each segment of a labeled image

  * Visualization
    * Added a method to change RegionGlComponent color in ImageView
    * Moved layer description in a single place

  * Applications
    * Framework
      * Modified the elevation parameters handling to be consistent with refactoring

    * New Applications
      * Added new radiometric indices application (RadiometricIndices)
      * Added new haralick and structural feature set texture extraction application (HaralickTextureExtraction, SFSTextureExtraction)
      * Added new morphological operation applications (BinaryMorphologicalOperation,GrayScaleMorphologicalOperation)
      * Added new local statistics extraction applications (LocalStatisticsExtraction)
      * Added new edge extraction application (EdgeExtraction)
      * Added new homologous points extraction application, including large scale extraction of tie points  (HomologousPointsExtraction)
      * Added new application to refine a sensor model from a geom file and a set of tie points (RefineSensorModel)
      * Added new pan-sharpening application with 3 different algorithms (PanSharpening)
      * Added new classification maps fusion application (FusionOfClassifications)
      * Added new classification map regularization application (ClassificationMapRegularization)
      * Added new confusion matrix computation application (ComputeConfusionMatrix)
      * Added new tile fusion application (TileFusion)
      * Added new end-to-end stereo pair to Digital Surface Model application (StereoFramework)

    * Miscellaneous
      * Added an optional clamp in OpticalCalibration application output
      * Added segmentation algorithm based on multiscale morphological structures classification in Segmentation application
      * Added an optional output to the ReadImageInfo application to write the keyword list to a geom file
      * Added support for large image in image mode of ColorMapping application
      * Added support for histogram clamping settings and mask input in Convert application
      * Added support for UTM zone and hemisphere estimation by default in OrthoRectification application

* Monteverdi
  * Refactored to fit the new elevation configuration method
  * Added Support for extended filenames

* Bug fixes
 * OTB-Packaging
    * 0000591: Remove "homemade" gdal from OTB PPAs

  * Orfeo Toolbox (OTB)
    * 0000608: Annoying GDAL warning about GCP in OTB writer
    * 0000619: Superimpose application can't deal with 2 ortho images
    * 0000622: Extended filename does not seem to be compatible with OTB applications (command line)
    * 0000599: Optical calibration of DIMAPv1 PHR products
    * 0000601: PHR optical calibration : Band_Solar_Irradiance at 999 on some files
    * 0000618: MultiResolutionPyramid application can not handle relative output path
    * 0000617: Crash with StreamingStatisticsVectorImageFilter
    * 0000602: Geom file of extract of ortho PHR data are not loaded in the otbKeywordList
    * 0000600: Wrong band ordering in 3 Pleiades metadata (gain, bias, solar irradiance)
    * 0000629: Exception raised in otbcli_MaximumAutocorrelationFactor

  * OTB-applications
    * 0000616: otbcli_OpticalCalibration fails to read Worldview-2 metadata


OTB-v.3.14.1 - Changes since version 3.14.0 (2012/10/02)
--------------------------------------------------------

* Library
  * Support external FLTK 1.3 on windows
  * Simplify GDAL import during configuration
  * Remove ossim dependencies from aeronet file reader
  * Add adjacency effect in OpticalCalibration application
  * Improve Pleiades support :
    * TOA optical calibration available
    * Improve support of mega tiles products


* Monteverdi
  * Support of MacOSX 10.8

* Bug fixes :
  * OTB-lib
    * 0000577: Remove the need for both GDAL_CONFIG and GDALCONFIG_EXECUTABLE
    * 0000573: tiff error in ossim when we read big uncompress JPEG2000 with Pleiades Primary level
    * 0000552: Application GridBasedImageResampling doesn't behave properly outside the input grid
    * 0000576: ImageToPointSetFilter work only with PointSets of type DefaultStaticMeshTraits
    * 0000575: Not able to access SDS layers in HDF4 datasets using BandMath
    * 0000572: using Segmentation application with .kml vector output using input which is not in WGS84 causes error
    * 0000586: OTB does not compile with gcc 4.7 on some distros
    * 0000579: Can not use files with "--" in their names in applications
    * 0000556: Help parameters display output wrong MISSING parameters with application launched via command line
    * 0000507: Java wrapper installation

  * Monteverdi
    * 0000570: SVM classification module works only with three bands images
    * 0000583: Weird spacing value for the Resampling module output
    * 0000581: Mean Shift Clustering Crash
    * 0000474: In TileMap Import module, search place by name does not work anymore
    * 0000529: Monteverdi fails to build using fltk 1.3 opensuse 12.1
    * 0000582: Save/Quit button in the Resampling module does not close the module
    * 0000571: Monteverdi crash in SVM Classification when trying to import SVM model twice

  * Documentation
    * 0000366: SG-html has 2 "bibliography"
    * 0000371: Generate_FAQ script needs updates
    * 0000367: Software Guide HTML : missing index.html
    * 0000372: clean up Cookbook generation logs


OTB-v.3.14.0 - Changes since version 3.12.0 (2012/07/09)
--------------------------------------------------------

* Library
  * New MeanShift implementation
    * Add MeanShiftSmoothingImageFilter class with threading support
    * Add MeanShiftKernels class
    * Add MeanShiftConnectedComponentSegmentationFilter class to
      concatenate MeanShift filter and connected component
    * Add MeanShiftSegmentationFilter which performs segmentation of an
      image by chaining a mean shift filter and region merging filter.
    * Move MeanShiftVectorImageFilterExample to
      MeanShiftSegmentationFilterExample
    * MeanShiftImageFilter and MeanShiftVectorImageFilter are now
      deprecated

  * OGR encapsulation for use in large-scale segmentation framework
    * Add a method converting a DataTree node to a list of OGRLayer*
    * Add OGRDataSourceWrapper, OGRDriversInit, OGRLayerWrapper,
      OGRFieldWrapper, OGRFeatureWrapper, OGRGeometryWrapper and OGR
      classes to encapsulate OGR in the otb namespace
    * Add GeometriesProjectionFilter, GeometriesSet, GeometriesSource and
      GeometriesToGeometriesFilter classes to encapsulate OGR Geometries
      projection
    * Add OGRHelpers class for easier conversion to OGR string
    * Add GeometriesProjectionFilter filter to
    * Add ImageReference, OGRGeometriesVisitor classes

  * Large-scale Segmentation Framework (OBIA)
    * Create a new repository Segmentation
    * Add GdalDataTypeBridge
    * Add LabelImageToVectorDataFilter class
    * Add StreamingImageToOGRLayerSegmentationFilter class which allow
      stream segmentation and vectorization of the output label image
      (based on OGRWrappers)
    * Add LabelImageToOGRDataSourceFilter class to use GDALPolygonize
      method to transform a Label image into a OGRDataSource
    * Add PersistentImageToOGRDataFilter class. This class is a generic
      PersistentImageFilter, which encapsulate any filter which produces
      OGR data from an input Image
    * Add option 4Connected/8Connected for Polygonization in
      LabelImageToVectorDataFilter and LabelImageToOGRDataSourceFilter
    * Add OGRLayerStreamStitchingFilter class to make fusion of geometries
      in a layer (ogr) along streaming lines (based on OGRWrappers).
    * Add LabelImageRegionMergingFilter class
    * Add Example about OGRWrappers and HooverMetrics

  * Pleiades Support
    * enhance support of PHR data with DIMAPv2 official root_tag
    * manage all cases from geotransform return by GDALJP2metadata
    * enhance support of PHR data with GML box and Sensor Model
    * Add TileImageFilter to support mosaic tiled images
    * Support of TIFF pleiades image and associated DIMAP metadata
    * upport for DIMAPv1 metadata format

  * Stereo-rectification framework
    * Add StereorectificationDeformationFieldSource class
    * Add BlockMatchingImageFilter class for fast 2D block-matching
    * Add NCCBlockMatching functor
    * Add LPBlockMatching functor
    * Adding an optional geoid file, and the possibility to use height
      above ellispoid in DEMToImageGenerator
    * Add SubPixelDisparityImageFilter class to interpolate disparities
    * Add DisparityMapMedianFilter class
    * Add AdhesionCorrectionFilter class
    * Add DisparityMapToDEMFilter
    * Add example in DisparityMap/StereoReconstructionExample

  * Miscellaneous
    * Modify otbImageLayer to enable the contrast stretch on full or
      zoom view in Monteverdi Viewer module
    * Add RasterizeVectorDataFilter class
    * Add VectorDataToLabelImageFilter for VectorData rasterization
      using an attribute to get the color for burning
    * Add GDALDriverManagerWrapper class
    * Add VectorDataEditVertexActionHandler class to allow user editing
      of vertex in vector data.
    * Add VectorDataTranslateGeometryActionHandler class to handles the
      user action for geometries translation
    * Add VectorDataEditionModel class for vertex edition and geometries
      translation
    * Add a method to remove a specific geometry in the VectorData
    * AddVectorData method always do notification, add a flag (set to
      true by default) to allow disabling it
    * Enhance the support for Spot 1,2,3 metadata related to radiometry
    * Add UnaryFunctorWithIndexWithOutputSizeImageFilter which implements
      neighborhood-wise generic operation on image
    * Add WatershedSegmentationFilter composite filter to allow use of
      itk watershed inside large segmentation framework
    * Add LabelImageRegionPruningFilter filter to merges regions in the
      input label image according to the input image of spectral values
      and the RangeBandwidth parameter.
    * Rename VectorDataToImageFilter to VectorDataToMapFilter
    * Move Hoover framework to Code/Segmentation
    * Make RationalTransform inheriting from otb::Transform instead
      of itk::Transform
    * Add Spacing and Origin to RationalTransform
    * Fix bug in computation of NDBBBI for Spectral rule based classifier
    * Remove deprecated classes :
      * QuickLookImageGenerator (replaced by StreamingShrinkImageFilter)
      * GeometricMomentImageFunction (unused)
    * Improve removal of geometries in VectorDataEditionModel
    * HistogramActionHandler : avoid changing positions outside viewed
      range
    * PixelDescriptionModel : make the request for placename optional
      (lags when internet access is slow)
    * PackedWidgetManager : add Shown method, add Resizable setter
    * Patch internal muparser to avoid bugs with static storage varialbe
      deallocation in plugin context
    * Modify MetaDataKey to avoid bugs with static storage varialbe
      deallocation in plugin context
    * Enable KML writing using OGR (was previously done internally
      by libkml)
    * GenericRSTransform can now be optimized using a set of tie-points,
      calling ossim internal sensor model refining implementation
    * PackedWidgetManager & SplitWidgetManager : add method to set the
      label of each group
    * HistogramActionHandler : limit moves of asymptots with min/max of
      histogram
    * Curve2DWidget : add label support for each histogram
    * ImageToEnvelopeVectorDataFilter : support a sampling rate in pixels
      to be able to generate more than the four corners
    * GeoInformationConversion : add IsESRIValidWKT to test WKT for shp
      file support
    * OGRIOHelper : ensure OGR driver manager is initialized when we need it

  * New Applications
    * Add PixelValue application
    * Add HooverCompareSegmentation application
    * Add GridBasedImageResampling application to perform grid-based
      image resampling
    * Add StereoRectificationGridGenerator application
    * Add RadiometricWaterIndices application
    * Add FineRegistration application for pixel-wise horizontal block
      matching
    * Add BlockMatching application
    * Add DimensionalityReduction application
    * Add LargeScaleSegmentation application
    * Add DisparityMapToElevationMap application
    * Add ComputeImageFeatures application
    * Add VectorDataReprojection application

  * Misc. Applications
    * Add image origin to ReadImageInfoApplication
    * Use now InputFilenameParameter and OutputFilenameParameter instead
      of FilenameParameter
    * Use InputFilename and OutputFilename instead of Filename
    * New option in SVMClassifier application: sample.edg (non mandatory)
      to manage special cases with small samples
    * In KMeansClassification, Changing the random initialization method
      since it can generate centroids that are too far from the image
      distribution and will never move
    * Add AddRANDParameter option in order to set mersenne twister seed
      for test reproducibility purpose
    * Display which key is wrong in a set of application parameters
    * Improve the help return by application
    * MeanShiftSegmentation application, which duplicates Segmentation
      application has been renamed to MeanShiftSmoothing application
    * Rasterization application rewritten to use the new
      OGRDataSourceToLabelImageFilter filter
        The application can rasterize in binary mode or burn the value of
        a specified field (similar to gdal_rasterize)
    * ColorMapping : fix settings of predefined colormap
    * ColorMapping : fix mode "method.image" in case image contains
      continuous labels
    * ImageEnveloppe : expose new sampling rate parameter
    * otbViewer improvements : add handling of HDF and JPEG2000 files
    * Remove custom Transmercator projection settings from application

* System
  * Added FLTK License
  * GDAL copyright notice removed because GDAL source code is not provided
    with OTB
  * OpenJPEG copyright file updated
  * Update internal Ossim to revision 20606
  * Support for Mapnik2
  * Make siftfast compilation optional (OTB_USE_SIFTFAST cmake option)
  * Support external tinyXML
  * Support external muparser
  * Support external libkml
  * Add a FindOSSIM.cmake to detect OSSIM easier
  * Update internal boost to 1.49.0
  * Suppress galib from OTB source tree (wasn't used)
  * Suppress KNN from OTB source tree (wasn't used)
  * Enhance/Add find_package support for OpenThread, Ossim, Expat, PQxx,
    Curl, GetText, ICUUC and LTDL
  * Install OTB-custom FindXXX.cmake files along with OTB, to be used
    from external projects
  * Make installation with OTB_WRAP_JAVA honor CMAKE_INSTALL_PREFIX
  * New compilers supported :
    * clang 3.2 (current development version)
    * gcc 4.6, 4.7, 4.8-dev
    * Intel icc

* Bug fixes :
  * OTB-lib
    * 0000532: OTB_SHOW_ALL_MSG_DEBUG option changes
               apTvClTrainSVMImagesClassifierQB456 test results
    * 0000568: Unable to compile OTB with a local version of the
               FFTW library
    * 0000531: Cannot compile OTB 3.12.0 with external FLTK 1.3
               on Windows
    * 0000564: ColorMapping application crash when using support
               image with input label image which contains holes in label
    * 0000563: Can not install OTB elsewhere than /usr/lib anymore
    * 0000557: Weird default value for RAM parameter in OTB application
    * 0000544: SWIG 2.0.5 not supported on mac
    * 0000554: OTB compilation : error while loading libfltk.so.9
    * 0000559: Even if OTB_USE_MAPNIK is ON, otbapp_Rasterization
               does not get compiled
    * 0000558: GetParameterFloat method of WrapperApplication
               class does not returns exactly input value
    * 0000550: BlockMatching application throws an exception
               when the "sub-pixel" mode is activated
    * 0000549: Error message related to boost_any_cast in
               StereoRectificationGridGenerator application
    * 0000547: MeanShiftFilter validation test is fialinf for
               Iteration and Spatial output
    * 0000542: Problem with win arch and testing
    * 0000521: Applications do not work anymore (Wrapper problem)
    * 0000522: otbApplicationLauncherQT is not reflecting
               the Disable/Enable state correctly
    * 0000511: Tags are repeated twice in Application, when using Qt framework

  * Monteverdi
    * 0000555: monteverdi -in does not work with JP2 images
    * 0000560: Monteverdi compilation error
    * 0000527: While saving dataset with rescaling option,
               the channels nb > 3 are incorrect

  * OTB-applications
    * 0000518: Missing GDAL dependencies
    * 0000515: Space managing in command line
    * 0000510: OTB-Applications cannot compile when the sources
               are located in a directory with spaces in its name

  * OTB-Packaging
    * 0000545: Issues with Monteverdi 1.10 binary
               applications on Mac OSX 10.6  (SL)
    * 0000525: Python not found during ubuntu package build
    * 0000526: Fix input of bfTvPolygonizationRasterization_WGS84

  * Server administration
    * 0000519: Search button of current OTB doxygen documentation
               is broken
    * 0000523: Update doxygen version to get
               the same layout as the ITKv4 doxygen website

OTB-v.3.12.0 - Changes since version 3.10.0 (2011/01/31)
--------------------------------------------------------
* Library
  * MaximumAutocorrelationFactorImageFilter
  * MultivariateAlterationDetector
  * Add Hyperspectral processing filters
    * Dimensionnality estimation :
      * EigenValueLikelihoodMaximization
      * VirtualDimensionnality
    * Dimensionnality reduction :
      * PCAImageFilter - perform forward and inverse Principal Component
        Analysis decomposition
      * FastICAImageFilter - perform forward and inverse Independent
        Component Analysis decomposition, based on FastICA algorithm
      * MNFImageFilter - perform forward and inverse Maximum Noise
        Fraction decomposition
      * NAPCAImageFilter - perform forward and inverse Noise Adjusted
        Principal Component Analysis decomposition
    * Endmember extraction :
      * VcaImageFilter - performs Vertex Component Analysis
      * MDMDNMFImageFilter - performs Minimum Spectral Dispersion Maximum
        Spatial Dispersion nonnegative Matrix Factorization
    * Unmixing under Linear Mixture Model hypothesis :
      * UnConstrainedLeastSquareImageFilter - standard least square
        solving
      * NCLSUnmixingImageFilter - least square with non-negativity
        constraint
      * FCLSUnmixingImageFilter - least square with non-negativity and
        additivity constraint
      * ISRAUnmixingImageFilter - image space reconstruction algorithm
    * Anomaly detection :
      * LocalRxDetectorFilter
    * SparseUnMixingImageFilter : finds correlation in time series using
      sparse representation
    * Addition of several mathematical operations to support hyperspectral
      filters implementation
      * AngularProjectionImageFilter
      * AngularProjectionSetImageFilter
      * BinarySpectralAngleFunctor
      * ConcatenateScalarValueImageFilter
      * DotProductImageFilter
      * SparseWvltToAngleMapperListFilter
      * ProjectiveProjectionImageFilter
      * VectorImageToMatrixImageFilter
        Different sort of gradient filter for noise estimation in MNF :
      * LocalActivityImageFilter
      * LocalGradientImageFilter
      * HorizontalSobelVectorImageFilter
      * VerticalSobelVectorImageFilter
      * SobelVectorImageFilter
  * Add Simulation module, based on Prospect and Sail
    * AtmosphericEffects
    * DataSpec5B
    * ImageSimulationMethod
    * LabelMapToSimulatedImageFilter
    * LabelToProsailParameters
    * LeafParameters
    * ReduceSpectralResponse
    * ReduceSpectralResponseClassifierRAndNIR
    * SailModel
    * SatelliteRSR
    * SpatialisationFilter
    * SurfaceReflectanceToReflectanceFilter
    * SpectralResponse
  * Improve WaveletGenerator speed, and fix reconstruction issue is
    multithreaded environment
  * ClampImageFilter, ClampVectorImageFilter
  * ThresholdVectorImageFilter
  * Support for writing PDS files (Planetary Data System) in
    ImageFileWriter, through GDALImageIO
  * ImageRegionAdaptiveSplitter, RAMDrivenAdaptiveStreamingManager,
    New streaming strategy in writer, taking advantage of both tile size
    and pipeline memory print estimation
  * Finer progress reporting in StreamingImageFileWriter
  * Move ViewerManager application from OTB-Applications to OTB source
    tree, and rename as otbViewer
  * Factor MsgReporter class in OTB source tree, and reuse it in
    Monteverdi
  * HooverInstances, HooverConfusionMatrix : tools to evaluate a
    segmentation against a ground truth
  * Removed deprecated class MapProjection
  * Removed streaming and threading support from
    MeanShiftVectorImageFilter, since it was generating wrong labeled images
  * Pleiades data support
    * Update to openjpeg rev 1111
    * Complete rework of JPEG2000ImageIO
      * Tile caching support
      * Multithreaded decoding
      * GMLBox decoding
      * Multi-resolution decoding support
    * Experimental Pleiades metadata support in ossimplugins :
      * RPC Sensor model
      * Calibration coefficient
      * Various information about the product
  * New application module framework (BUILD_APPLICATIONS:BOOL=ON)
    * New library OTBApplicationEngine to generate application module
      as shared plugin objects
    * This replaces small command line utilities in OTB-Applications
    * Command line launcher for application module
    * Generic Qt based widget to show/configure/run an application
    * Qt based GUI application launcher
    * SWIG module on top of OTBApplicationEngine to execute applications
      from Python and Java
    * Quickstart scripts provided for launching the commandline tools
      (otbcli_XXX)
        and for starting the Qt GUI (otbgui_XXX)
    * The following applications are available in this release :
      * CartographicDBValidation
        * ComputePolylineFeatureFromImage
        * DSFuzzyModelEstimation
        * VectorDataDSValidation
      * ChangeDetection
        * MultivariateAlterationDetector
      * Classification
        * ComputeImagesStatistics
        * ImageSVMClassifier
        * KMeansClassification
        * SOMClassification (Kohonen Self Organizing Map)
        * TrainSVMImagesClassifier
        * ValidateSVMImagesClassifier
      * DimensionnalityReduction
        * MaximumAutocorrelationFactor
      * Disparitymap
        * FineRegistration
        * StereoSensorModelToElevationMap
      * FeatureExtraction
        * LineSegmentDetection
      * Hyperspectral
        * VertexComponentAnalysis
        * HyperspectralUnmixing
      * Projections
        * BundleToPerfectSensor
        * ConvertCartoToGeoPoint
        * ConvertSensorToGeoPoint
        * ImageEnvelope
        * ObtainUTMZoneFromGeoPoint
        * OrthoRectification
        * RigidTransformResample
        * Superimpose
      * RadiometricIndices
        * RadiometricVegetationIndices
      * Radiometry
        * OpticalCalibration
        * SarRadiometricCalibration
      * Rasterization
        * Rasterization
      * Segmentation
        * ConnectedComponentSegmentation
        * MeanShiftSegmentation
      * Utils
        * BandMath
        * ColorMapping
        * CompareImages
        * ConcatenateImages
        * ConcatenateVectorData
        * Convert
        * ExtractROI
        * KmzExport
        * MultiResolutionPyramid
        * OSMDownloader
        * Quicklook
        * ReadImageInfo
        * Rescale
        * Smoothing
        * SplitImage
        * VectorDataExtractROIApplication
        * VectorDataSetField
        * VectorDataTransform

* System
  * Update internal Ossim to revision 20113
  * Update internal Boost to 1.47.0
  * Update internal OpenJpeg to rev 1111
  * Support for FLTK 1.3
  * Support building ossim as a DLL on windows
  * Support building ossimplugin as a DLL on windows
  * Remove Ossim, OpenThreads and OpenJpeg headers from the install tree
  * Compilation with clang is now possible, still with some constraints :
    * it needs a recent clang version (better use a recent checkout)
    * you may encounter an issue with boost about fenv.hpp : this is a
      boost issue, and is fixed in boost > 1.48

* Monteverdi
  * Support for Pleiades format
    * Support JPEG2000 image loading with multi-resolution choice
    * Quicklook generation based on JPEG2000 format capabilities
    * Support viewing of JPEG2000Images
    * Add module to uncompress an extract of a JPEG2000 image to TIFF
    * Reader module tries to save the quicklook next to the original file
        to improve loading time of JP2 files
  * Fix gaussian histogram stretching mode to avoid warning and black
    image
  * Support Drag'N'Drop of image and vector format into Monteverdi tree
  * Support bundle generation on MacOSX
  * ConnectedComponentSegmentation :
    * Add "Elongation" statistics parameter
    * Support single band image
    * Support extracts of images in sensor model geometry
  * Writer module(s) :
    * Use StreamingImageFileWriter to take advantage of streaming
      improvements
  * Add Monteverdi version number in title bar
  * Reduce KMeans module memory footprint
    * Fix sample list size from an amount of RAM
    * Release temporary filters and variables as soon as possible

* OTB-Applications
  * Removal of command line application migrated to OTB source tree
  * Migration of Viewermanager application to OTB source tree

* OTB-Wrapping
  * Add otb::Transform

* Bug fixes :
  * OTB-lib
    * 0000501: Add otbcli_XXX.bat and otbgui_XXX.bat for windows
    * 0000478: Exceptions thrown inside applications are not caught
    * 0000479: Can't write int8 image
    * 0000450: In otbViewer, zoom doesn't work well with link mode
    * 0000448: In otbViewer quicklook, navigation coordinate are not
      adapted to multi-res Pleiades images
    * 0000449: In otbViewer, the slide show crashes
    * 0000421: ListSampleGenerator is not random
    * 0000429: Trouble with .geom for Formosat
    * 0000439: Can't run Qt ReadImageInfo
    * 0000428: itkCastImageFilter doesn't work well with streaming
    * 0000416: segfault with non existing input image in the new otb
      applications framework
    * 0000424: Execute button enabling problem
    * 0000393: histogram minimum filter available ?
    * 0000400: how to return objects when function uses a filter ?
    * 0000380: wavelet reconstruction filter problem
    * 0000392: Unable to read Landsat Tiff file. Problem with Tags
      reading ?
    * 0000386: Remove direct use of ossim from Simulation tests
    * 0000401: Error while reading a lum image with several channels
    * 0000381: No platform testing OTB_USE_EXTERNAL_OSSIM
    * 0000441: SWIG/Python interface for applications does not catch
      all exceptions
    * 0000482: The Object Labeling module seems to hold forever when using
      "Save / Quit"
    * 0000471: Multi baseline Test files must begin by 1 and have
      consecutive number
    * 0000485: Hide internal CMake variable
    * 0000419: The new QT applications framework don't work on Ubuntu
      11.04 and Ubuntu 11.11
    * 0000497: Can not save VectorData in cartographic SRS in KML (empty
      file resulting) in applications
    * 0000498: Segmentation fault in Line Segment Detection filter
    * 0000495: StreamingImageFileWriter and link to source filter
    * 0000484: Rename CMake WRAP_* options
    * 0000472: LSD application on sensor image extract produces wrond
      geo-positioning
    * 0000491: Build scheduling is buggy with SWIG wrapper
    * 0000418: ld error on exit when using the new application framework
      with any engines
    * 0000473: Saving TIFF with "degenerated" sizes is highly suboptimal
    * 0000469: Clamp output values to the precision range in new
      application framework
    * 0000476: baseline file must have extension
    * 0000470: New applications framework input image parameter prevents
      from accessing to intermediate resolutions
    * 0000423: Internationalisation problem when launching application
      via Qt
    * 0000453: DEMConvert application becomes ready even if output
      parameter is empty
    * 0000426: RAM parameter has no effect in the new application
      framework
    * 0000436: Calling GetParameterXXXImage("in") more than once in
      DoExecute() breaks streaming
    * 0000442: In otb::WrapperApplication, calling Init() twice results
      in doubled parameters in examples
    * 0000440: In SWIG/python interface to applications, an exception
      is thrown when setting parameters unless Init() is called before
    * 0000425: In QT application launcher, some applications are ready
      to run with missing parameters
    * 0000435: OTB CommandLine wrappers parameters short key
    * 0000434: CommandLine launcher does not report outputs of the
      MeanShiftApplication
    * 0000431: OTB v. 3.10.0 & Snow Leopard : a bug fixed - Nov. 23, 2011
    * 0000420: command line error reporting is not clear ('-' vs '--')
    * 0000387: [Monteverdi] Unable to display vector data with the viewer
    * 0000390: Lots of warning from itk::Transform when using
      otb::GenericRSTransform
    * 0000457: Crash of new otbApplications
    * 0000438: KMeans Application crach in Qt Framework

  * Monteverdi
    * 0000455: Can't cache a labelimage
    * 0000481: Add a option that allows a compute the histogram on the
      zoom (or full resolution) area,
    * 0000447: Unable to import non-georeferenced VectorData over a
      non-georeferenced image without a DEM
    * 0000492: BandMath module closes itself with Help window
    * 0000474: In TileMap Import module, search place by name does not
      work anymore
    * 0000396: Object labeling module crashes
    * 0000408: KMeans clustering crashes after a while
    * 0000383: KMeans module requests the largest possible region
    * 0000477: High memory usage in Monteverdi Viewer module with
      JPEG2000 images
    * 0000480: Viewer crashes playing with histogram method
    * 0000475: Select an Region in the Uncompressed JPEG2000 image module
      QL view constantly increase memory usage
    * 0000464: FLU is not compatible with FLTK 1.3
    * 0000411: Does not support fluid 1.3
    * 0000407: Right click on any list component crashes Monteverdi
    * 0000410: KMZ export module leaves a lot of .jpg.aux.xml files in
      the output directory
    * 0000405: otbSupervisedClassificationApplication does not handle
      class removal properly
    * 0000412: Monteverdi segfaults using contextual menu on module item
    * 0000403: Save dataset (advanced version): Not available for an
      output of bandmath module
    * 0000404: Spectral Viewer keep image locked

  * OTB-wrapping
    * 0000382: Build fails on CentOS 5.5 because of '$self' in java
      wrapper

  * OTB-Packaging
    * 0000500: Make OSGeo4W otb-wrapping-python and otb-wrapping-java
    * 0000502: Package cli and qt launcher in OSGeo4W
    * 0000486: [osgeo4w] Update setup.hint to add osgearth dependency
    * 0000413: Update CentOS installation manual
    * 0000399: Ubuntu packaging for Monteverdi fails (resource files
      are missing)

  * Documentation
    * 0000483: "<" or ">" are interpreted as inverted ? in Cookbook
    * 0000370: Cookbook : make a HTML documentation
    * 0000378: Doxygen not updated


OTB-v.3.10.0 - Changes since version 3.8.0 (2011/06/30)
--------------------------------------------------------
* Monteverdi
  * New Rasterization module
  * New ImageStatistics module
  * New BayesianFusion module
  * New SAR Polarimetry modules (conversion, analysis)
  * New Vector data to image manual registration module
  * New connected component segmentation and OBIA based on user-defined
    criterions module
  * Removed the Orthorectification since its functionalities are covered
    by the Reprojection module
  * Specify output map projection by EPSG code in reprojection module
  * Handle multi band complex images
  * Viewer module : Add "save screenshots" feature
  * Viewer module now handles a NoData field, allowing to correctly
    rescale ortho-images
  * DEM fields throughout the modules are now pre-filled with option in
    otb config file if correctly set
  * Add a rectify mode in homologous points extraction module (register
    image without changing resolution)

* Applications with command-line interfaces and GUI
  * Optical calibration
  * Vectorial objects validation based on Dempster Shafer theory framework
    * otbDSFuzzyModelEstimation
    * otbComputePolylineFeatureFromImage
    * otbVectorDataDSValidation
  * Multi-images SVM classification framework
    * EstimateImagesStatistics
    * TrainImagesClassifier
    * ValidateImagesClassifier
    * ImageSVMClassifier
  * Connected Component Segmentation and OBIA based on user-defined
    criterions
  * Object Detection framework (adding the Histogram of Oriented Gradient
    feature)
    * TrainHOGDetector
    * HOGObjectDetector
    * MeanShiftModesDetection
    * TrainDeepSVMDetector
  * Various new utilities :
    * LineSegmentDetection
    * Superimpose
    * RigidTransformResample
    * ConcatenateVectorData
    * VectorDataExtractROIApplication
    * VectorDataTransformFilterApplication
    * OSMDownloader

* Library
  * Add HistogramOfOrientedGradientCovariantImageFunction
  * Add Framework for LANDSAT Spectral rule based classifier (contribution
    from J. Inglada)
  * Add Multitemporal time point interpolators
    : SavitzkyGolayInterpolationFunctor,
    EnvelopeSavitzkyGolayInterpolationFunctor (contribution from J. Inglada)
  * Add SAR Polarimetry conversions and analysis code :
    * SinclairImageFilter
    * SinclairReciprocalImageFilter
    * SinclairToCircularCovarianceMatrixFunctor
    * SinclairToCoherencyMatrixFunctor
    * SinclairToCovarianceMatrixFunctor
    * SinclairToMuellerMatrixFunctor
    * SinclairToCircularCovarianceMatrixFunctor
    * SinclairToReciprocalCircularCovarianceMatrixFunctor
    * SinclairToReciprocalCoherencyMatrixFunctor
    * SinclairToReciprocalCovarianceMatrixFunctor
    * ReciprocalLinearCovarianceToReciprocalCircularCovarianceFunctor
    * ReciprocalHAlphaFunctor
    * ReciprocalCovarianceToReciprocalCoherencyFunctor
    * ReciprocalCovarianceToCoherencyDegreeFunctor
    * CoherencyToMuellerFunctor
    * MuellerToReciprocalCovarianceFunctor
    * MuellerToPolarisationDegreeAndPowerFunctor
  * Add RationalTransform
  * Add PipelineMemoryPrintEstimator: computes the total memory used by
    a pipeline, and proposes streaming parameters depending on available RAM
  * Add Dempster Shafer framework
    * MassOfBelief
    * JointMassOfBeliefFilter
  * Add a Dempster-Shaffer based vectorial objects validation framework
    * TODO: List classes here
  * AsymmetricFusionOfLineDetectorImageFilter: call SetNumberOfDirections
    on internal filters (contribution from A. Ferro)
  * RADARSAT 1: more product types supported
  * VectorDataToImageFilter: Binary rasterization available, support
    images of arbitrary size
  * Add VectorDataRendering example: showing how to rasterize OSM roads
    onto an image for visualisation
  * LineSegmentDetector & RightAngleDetection: algorithmic improvements
  * GDALImageIO: multi dataset support (for MODIS HDF4)
  * GDALImageIO: improve performance by avoiding unnecessary memory copies
  * GDALImageIO: TIFF are now saved as TILED
  * GDALImageIO: various improvements to support reading and writing of
    multiband complex data with all types supported by GDAL
  * StreamingImageVirtualFileWriter, StreamingImageFileWriter : new
    streaming strategies, with integrated pipeline memory print estimation
  * Curl:
    * Add in-memory download support to avoid writing small temporary
      files
    * Better handling of the exceptions than can be thrown when using curl
  * Add ConcatenateVectorDataFilter
  * Add OSMDataToVectorDataGenerator : Class implementing the download of
    the OSM file relative to an extent and a parser to generate VectorData
    from OSM Data
  * Add ImageToOSMVectorDataGenerator : Helper class to compute the extent
    of an image, use OSMDataToVectorDataGenerator for VectorData generation
  * Add VectorDataTransformFilter : Apply an affine transform to a
    VectorData
  * ImageToSURFKeyPointSetFilter : algorithmic improvements
* System
  * Compilation on Windows and MacOS with mapnik
  * Update internal tinyXML to 2.6
  * Add ThirdPartiesUtilities: Refactoring OSSIM and CURL accesses so
    as to minimize dependencies using the Adapter pattern

* Bug fixes :

  * OTB-lib
    * 0000312: Systematic crash when opening images with GDAL (tif, png,
      jpeg, etc)
    * 0000330: Suspicious log and output problem in
      ioImageToKmzAndMapFileProductExport
    * 0000329: At least 2 platforms don't respect the nightly version
      for their dashboard submission
    * 0000298: TestDriver : returns EXIT_SUCCESS when test is not
      registered
    * 0000310: PersistentImageToVectorData process the input twice when
      only one stream is used
    * 0000273: otbHarrisImageFilter applies final smoothing only over
      the 0-th direction; + wrong final scaling applied
    * 0000228: Problems related to the --compare-ascii tool in OTB
      tests protocol
    * 0000219: HDF dataset not openable with ImageFileReader
    * 0000358: Remove ossim from otbFilterFunctionValuesDigitalGlobeTest
    * 0000320: Design issue: VectorDataIOFactory should not be a
      template class
    * 0000334: Some tutorials do not check argc/argv
    * 0000311: No platform testing OTB_SHOW_ALL_MSG_DEBUG set to ON for
      examples compilation
    * 0000245: Wrong path for GDAL_CONFIG or GDALCONFIG_EXECUTABLE cmake
      variable produce incoherent results in the OTB configuration
    * 0000229: OTB driver in imageFileReader must support different file
      extensions related to the HDF format
    * 0000222: Issues with the TerraSar-X ossim plugin
    * 0000221: Fail to retrieve the pixel spacing from image metadata.
    * 0000282: Unable to open tiff image
    * 0000237: Boost / Fltk conflict
    * 0000327: CMake configuration abort if no curl is available on
      system, even with OTB_USE_CURL is set to OFF
    * 0000276: Trouble with the compare ascii when separations are
      tabulation

  * Monteverdi
    * 0000292: Tilemap import module not working
    * 0000352: Monteverdi crashes on wrong DEM directory
    * 0000270: Open RADARSAT2 products as an SAR image in Monteverdi
    * 0000263: Vectorization module : weird behavior
    * 0000297: Crash when open change detection output image
    * 0000281: Crash opening a RAD image.
    * 0000265: SVM learn module : crash when displaying results
    * 0000254: Homologous point module
    * 0000240: Importing shp file in SVM module in Monterverdi 1.6 always
      results in crash
    * 0000348: Viewer setup : histogram settings disappear
    * 0000349: Labeled image can't be viewed
    * 0000249: otbTrainObjectDetector-cli: malloc(): memory corruption
    * 0000251: Wrong output of the DEM to image generator module when
      working on a ROI of the image in raw geometry
    * 0000226: otbSegmentationApplication: crash when overwriting a
      .shp file
    * 0000223: Wrong positioning of polygons from
      otbSegmentationApplication and open with SVMclassification module
      (monteverdi)
    * 0000242: Mean Shift: different display of results in the module
      and in the Viewer
    * 0000317: Monteverdi extract ROI module can not perform extraction
      from geographical coordinates on SPOT5 data
    * 0000253: Nodata value in SRTM result in wrong ortho-rectified image
    * 0000315: Monteverdi ROI extraction module broken : can not select
      by drag&drop anymore
    * 0000300: One viewer instance block another instance to display
      another image
    * 0000269: Inoperative fields in the reprojection module
    * 0000255: Image is not visible if scroll or Full window is minimized
      while working with SVM classification
    * 0000267: Vectorization-Rasterization module
    * 0000244: Pansharpening EO-1 image with Monteverdi produces NaN
    * 0000227: Monteverdi crashing while displaying a .tif file
    * 0000350: KMeans module : weird behavior of "Max nb of iterations"
    * 0000248: In feature extraction module, for haralick textures :
      impossible to set min/max for binning
    * 0000341: weird french warning in ms dos command window with
      monteverdi 1.7 exe
    * 0000313: Unable to perform orthofusion of WV2 PAN+XS (4 bands)
    * 0000239: Trouble in pixel description in Monteverdi viewer
    * 0000336: Viewer Histogram settings not applied after channel
      order changes
    * 0000304: Advanced save dataset module with scaling on results in
      visible strip in image
    * 0000262: Wrong metadata interpretation
    * 0000302: Can't open two image in the viewer
    * 0000294: Monteverdi doesn't delete files in Caching
    * 0000280: SVM classification and Feature extraction issues
    * 0000247: Style of the new screenshots function in viewer module
      is ugly
    * 0000238: Monteverdi spreads xml temporary files everywhere
    * 0000241: A warning appears each time an image is read
    * 0000271: Default RGB channels are wrong for WV2 images
    * 0000250: Meanshift clustering module: spectral radius limited
    * 0000306: Unable to export otb::Image in KMZ in the Monteverdi module
      "KMZ export"
    * 0000279: Visualisation from vectorisation module does not use
      default channels for wv2 images

  * OTB-applications
    * 0000231: otbRasterizationApplication -pr options await for OGC
      WKT strings
    * 0000318: otbOSMDownloader-cli does not work anymore
    * 0000233: otbRasterizationApplication fail to rasterize SRTM water
      bodies shapefile with default parameters
    * 0000232: Several minor changes in rasterization application
    * 0000338: otbSegmentationApplication : Enable to use real values

  * OTB-Packaging
    * 0000296: gdal 1.8 debian package breaks TIFF support
    * 0000301: Can't upgrade debian package between different OTB versions
    * 0000347: Problem with current ubuntu Natty nightly package of
      Monteverdi
    * 0000290: Make an Experimental submission on the dashboard with natty
    * 0000355: Bad timestamp for nightly built Ubuntu packages
    * 0000288: Nightly packages upload when launchpad is overloaded
    * 0000345: debian package : enable mapnik
    * 0000344: debian package : use system boost
    * 0000326: CentOS packages for Monteverdi and OTB-Applications

  * OTB-Qgis
    * 0000272: problem with installation

OTB-v.3.8.0 - Changes since version 3.6.0 (2010/12/16)
--------------------------------------------------------

* Monteverdi
  * New Polarimetric Synthesis module
  * New DEM image extraction / HillShading module: creates an image from
    a DEM tiles directory, with optional hillshading
  * New ColorMapping module: apply a colormap to a mono band image
  * Viewer module: add multi input support, with slideshow or transparency
    mode, add more rendering functions, add split/packed layout option
  * Vectorization module: new semi-automatic mode based on segmentation
    results proposals

* Applications
  * Object Detection applications (see also
    http://wiki.orfeo-toolbox.org/index.php/Object_detection)
    * EstimateFeatureStatistics to evaluate descriptors statistics on
      a set of images
    * TrainObjectDetector: generates an SVM model from input images and
      a vector data
    * ObjectDetector: detects points in an image from an SVM model
  * Add automatically generated GUI wrappers for OTB processing chains
    * Add FLTK wrapper
    * Add a generic Qt based widget class
    * Add a Qt GUI wrapper based on the generic Qt widget
    * Add a Qgis plugin wrapper based on the generic Qt widget

* Library
  * Improved local descriptors tools based on ImageFunction :
    * Rework FlusserImageFunction and HuImageFunction to output
      all moments in one pass (FlusserMomentsImageFunction,
      HuMomentsImageFunction)
    * Rework RealMomentsImagefilter and ComplexMomentImageFilter to
      output a matrix of all moments associated to p, q inferior to a
      given parameter (ComplexMomentsImageFunction, HuMomentsImageFunction)
    * Add image function to compute a vector containing the local mean,
      variance, skewness and kurtosis (RadiometricMomentsImageFunction)
    * Add local histogram image function (LocalHistogramImageFunction)
    * Add image function to compute the local Fourier Mellin coefficients
      (FourierMellinDescriptorsImageFunction)
    * Add a class to adapt any image function return types to
      itk::VariableLengthVector (ImageFunctionAdaptor)
    * Add a class to build composite image functions (MetaImageFunction)
  * New object detection framework (see also
    http://wiki.orfeo-toolbox.org/index.php/Object_detection)
    * Add filter to generate negative samples
      (LabeledSampleLocalizationGenerator)
    * Add filter to evaluate an image function on a set of point and
      generate ListSample (DescriptorsListSampleGenerator)
    * Add filter to balance the sample number of different classes
      in a ListSample by generating new samples from existing
      ones plus noise (ListSampleToBalancedListSampleFilter,
      GaussianAdditiveNoiseSampleListFilter)
    * Add filter to apply a shift/scale to a ListSample
      (ShiftScaleSampleListFilter)
    * Add filter to detect object from an SVM model and an image function
      (ObjectDetectionClassifier)
  * SVMClassifier: add hyperplanes distances as output
  * GDALImageIO: support writing of non-streamable format (JPEG, PNG)
  * Support reading vector images of std::complex
  * BandMathFilter: add physical and image coordinates variables
  * Add a class to generate a kmz file from an image

* System
  * Internal liblas updated to 1.6.0b2 + OTB patches (root CMakeList.txt)
  * Internal libsvm updated to 3.0 + OTB patches (additional kernels)
  * Internal ITK: removed compilation of medical image formats library
    and associated ImageIO
  * Internal ITK: removed dependency on libtiff, libjpeg, libpng and zlib,
    now handled by gdal
  * Support for gcc-4.5
  * Remove dxflib from Utilities for licensing issues

* Bug fix:
  * Monteverdi
    * 0000216: Monteverdi viewer unable to display multi band images
    * 0000193: Crash in vectorization module when the after the activation
      of the semi-automatic mode
    * 0000195: unable to perform TSX calibration with the sar calibration
      module in monteverdi 1.4
    * 0000207: Vectorization module shift coordinates
    * 0000202: Error message "otbSVMModel.txx:310 eps <= O" in the SVM
      classification module
    * 0000194: error message opening dataset in monteverdi (development
      version)
    * 0000200: Monteverdi -in option does not open viewer anymore

  * OTB-applications
    * 0000213: Problem in denomination of otb process chain wrapped as
      qgis plugin
    * 0000201: otbFastOrthoRectif switched back to double precision again

  * OTB-lib
    * 0000192: Crappy support of gdal: GDALImageIO


OTB-v.3.6.0 - Changes since version 3.4.0 (2010/10/07)
--------------------------------------------------------

* Monteverdi
  * New Vectorization module: creates vector data (polygons, lines and
    points) from image
  * New BandMath module: mathematical operation on image bands
  * New SpectralViewer module: designed to display hyperspectral
    images. also computes spectral angle
  * New ObjectLabeling module: object based image analysis module,
    with SVM classification based on object features

* Applications
  * otbFastOrthoRectif: fast orthorectification based on grid subsampling
  * otbActiveLearning: architecture to enable active learning application
    (put your own algorithms in the middle)
  * otbCompareImages: image comparison
  * otbFineRegistration: produces disparity maps between 2 images
  * Old GUI applications removed (now in Monteverdi): OrthoRectif,
    OrthoFusion, Classif, ChangeDetection, RadiometricCorrections

* Library
  * Some classes are marked as deprecated and are available for one
    release. A migration guide to help the transition is available at
    http://wiki.orfeo-toolbox.org/index.php/Migration_guide
  * Add filter to perform arbitrary mathematical operation on image bands
    (BandMathImageFilter)
  * Add class to parse mathematical expression (Parser)
  * Add interpolation function (BCOInterpolateImageFunction)
  * Add filter to compute the intensity of a complex image
    (ComplexToIntensityImageFilter)
  * Add filter to compare two big images (StreamingCompareImageFilter)
  * Add filters to compute extrema of big images
    (StreamingMinMaxImageFilter and StreamingMinMaxVectorImageFilter)
  * Add filter to perform fine registration between images
    (FineRegistrationImageFilter)
  * Add filter for higher order texture computation
    (ScalarImageToHigherOrderTexturesFilter and
    MaskedScalarImageToGreyLevelRunLengthMatrixGenerator)
  * Removal of the old textures:
    http://wiki.orfeo-toolbox.org/index.php/Textures
  * Add support for Worldview2 data
  * Add margin sampler for SVM (SVMMarginSampler)
  * Add generic resample filter that reproject in any arbitrary
    projection: cartographic, sensor model (GenericRSResampleImageFilter)
  * Add class to produce a RPC model from a physical model
    (PhysicalToRPCSensorModelImageFilter)
  * Add classes related to SAR calibration (SarParametricMapFunction,
    SarRadiometricCalibrationFunction, SarRadiometricCalibrationFunctor,
    SarRadiometricCalibrationToImageFilter)
  * Add an action handler for the visualization enabling dragging
    (DragFullWindowActionHandler)

* System
  * Internal ITK updated to 3.20.0 + OTB Patches
  * Internal OSSIM and ossim plugins updated to svn revision 18162 +
    OTB patches (almost none left)
  * Enable the use of an external build of libLAS
  * Support compilation on MSVC 2010 and Windows Seven
  * Better handling of FLTK configuration
  * Support compilation of Monteverdi on linux 32 bits systems with
    official FLTK package
  * Lots of coverage improvements

OTB-v.3.4.0 - Changes since version 3.2.0 (2010/06/30)
--------------------------------------------------------

* Applications
  * New utility otbConvertSensorToGeoPoint to convert from sensor
    coordinates to lon/lat
  * otbExtractROI can change its output type
  * New utility otbSplitImage to separate a multispectral image into
    N images
  * otbConcatenateImage can change its output type
  * otbConvert can now use a log transfer function when rescaling
    the image

* Library
  * Add HillShadingFilter to produce hill shade image from DEM
    (HillShadingFilter)
  * Add point set density function (gaussian, epanechnikov)
  * Add filter to extract a subset from a point set (PointSetExtractROI)
  * Add filter to apply a transform to a point set
    (TransformPointSetFilter)
  * Add filter to generate a random point set (RandomPointSetSource)
  * Add class to compute confusion matrix (ConfusionMatrixCalculator)
  * Add class to generate a list of samples from a vector data
    (ListSampleGenerator)
  * Add a class to compute the ground spacing (GroundSpacingImageFunction)
  * Add a class to read 6S spectral sensitivity files
    (SpectralSensitivityReader)
  * Fix radiometry correction for SPOT5
  * Fix compilation on windows using osgeo4w dependencies
  * Lots of bug fixes

* System
  * Internal ITK updated to 3.18.0 + OTB Patches
  * Internal OSSIM updated to svn revision 16861 + OTB patches
  * Internal OSSIM SAR plugins updated to svn revision 17643 + OTB patches
  * Internal libkml updated to 1.2.0
  * Internal siftfast updated to 1.2
  * Internal boost updated to 1.42


OTB-v.3.2.0 - Changes since version 3.0.0 (2010/01/15)
--------------------------------------------------------

* Applications
  * Monteverdi, a new all-in one user-friendly graphical tool
      for remote sensing data processing released as a separate package
      (see README file). Windows binary package of Monteverdi is available
      and was installed on various operating system including
      Windows 2000/XP/Vista/Seven.

* Library
    The library includes these additions
  * Support for TerraSarX, Quickbird and Spot5 calibration metadata
  * Simplification of the interface to access image metadata
  * Support for Aeronet files
  * Various filters for Object Based Image Analysis based on
    LabelObjectMaps
  * Support for RPC sensor model estimation from a set of Ground Control
    Points
  * Support for affine transform least-square estimation from a set of
    tie points
  * Support for SVM cross-validation and parameters optimization
  * Box and Whiskey filter to detect outliers on VectorImage
  * Add several Euclidean distance classes
  * Exhaustive exponential optimizer for learning
  * Enhanced SOM algorithm taking into account invalid missing values
  * Wavelet transform
  * Filters for GIS database interaction (postgis database)
  * ImageFileWriter now supports streaming natively
  * Use of a configuration file to change some parameters without
    recompiling
  * Lots of bug fixes

* System
  * Internal ITK updated to 3.16.0 + OTB Patches
  * Internal OSSIM updated to svn revision 15872 + OTB patches
  * Home brewed metadata SAR reader were moved to ossimplugins
  * Experimental support for internationalization
  * Facilitate installation on Mac OSX platform (OTB is now able
    to compile on Mac OSX by using external libraries like GDAL downloaded
    from Macports)



OTB-v.3.0.0 - Changes since version 2.8.0 (2009/05/11)
--------------------------------------------------------

* Applications
  - Urban area extraction (Pleaides, QB, Ikonos, SPOT5). For more
    details,
    see the README file
  - Image to Data Base registration (Pleiades, QB). For more details, see
    the README file
  - Feature Extraction: add new textures, new radiometric indexes and
    add MeanShift capabilities


* Library
    The library includes these additions
  - Cloud detection for QB/Pleiades images
  - Alignment and right angle detection (Burns, Grompone)
  - Radiometric indices (vegetation, water, soil)
  - Optimized texture computations including Haralick, SFS, Pantex,
    Edge density
  - SIFT density image function and filter
  - Object-based segmentation and filtering
  - LSD line segment detector and right angle detector
  - PCA computation
  - Automated loading of radiometric correction parameters (SPOT, Ikonos)
  - Attribute support for shapefile (reading only)
  - Optimization of vector data
  - Visualisation refactoring: for more details,
     see http://wiki.orfeo-toolbox.org/index.php/Visualisation_Refactoring

* System
  - Updated OSSIM library
  - Updated ITK library (3.12.0)
  - Miscellaneous bug fixes (support for gdal 1.6)
  - Fixed some problems under Visual and Cygwin platforms.

* Distribution
  - Distribution of Windows binaries packages installation for
    OTB-Application (OTB-Applications-3.0.0-win32.exe)
  - Distribution of Windows binaries packages for GDAL library 1.6.0 for
    MSVC V71 and MSVC V80 compiler (http://www.orfeo-toolbox.org/packages)


OTB-v.2.8.0 - Changes since version 2.6.0 (2009/01/15)
--------------------------------------------------------

* System
    - ITK version updated to 3.10.1
    - liblas library added
    - ossim gdal plugin added
    - change in OpenGL access for viewer
    - Edison code from mean shift

* Library
    - Support for Lidat data
    - SIFT and SURF implementation
    - Mean Shift algorithm
    - Conversion of vector data projection (kml, shapefiles)

* Applications
    - Object counting
    - Fine Registration
    - Road Extraction



OTB-v.2.6.0 - Changes since version 2.4.0 (2008/10/31)
--------------------------------------------------------

* System
    - GCC 4.3 compatibility
    - ITK version updated to 3.8
    - FLTK version updated to 1.1.9
    - OpenThreads library added
    - Expat library added

* Library
    - SAR Polarimetry synthesis classes
    - Kullback Leibler supervised change detection
    - KML support
    - Gabor filters implementation
    - Optimized convolution using FFT
    - CNES RAD format support
    - NCC and MI registration filters for diparity map estimation
    - Support for MegaWave image format (contributed by Eric Bughin)

* Applications
    - Object segmentation application
    - Feature extraction application
    - Land Cover Map application
    - SAR polarimetric synthesis application
    - 3D & stereo anaglyh viewer application
    - Command line conversion from/to all image formats supported
      by OTB


OTB-v.2.4.0 - Changes since version 2.2.0 (2008/07/24)
--------------------------------------------------------

    - Added OTB_DISABLE_CXX_EXAMPLES_TESTING : allows generating or
      not only examples testing
    - Added OTB_USE_JPEG2000 : experimental support for jpeg2000
      files.

*Common:

      Extraction ROI Classes :
    - Lifting of the otbExtractionBase class
    - Correction of the SetExtractionRegion method

*BasicFilters:

    - Added pixel size matching in otbSpectralAngleDistanceImageFilter
    - Modification of otb::ConvolutionImageFilter class to allow the
      use of non-normalized convolution filters

*Platforms:

    - Fixed compilation problems using external FLTK version < 1.1.9
      under fedora unix distribution.
    - Mac OS X 10.5 supported

*Applications:

    - Added an supervised image classification application
      (otbSupervisedClassification)
    - Added an orthorectifcation application (otbOrthoRectifAppli)
    - Added an orthofusion application (otbOrthoFusionAppli)

*Markov:
      Added full Markov framework for segmentation, restoration
      and filtering
      Added related classes:
    - otb::MarkovRandomFieldFilter
    - otb::MRFEnergyEdgeFidelity
    - otb::MRFEnergyGaussianClassification
    - otb::MRFEnergyGaussian
    - otb::MRFEnergy
    - otb::MRFEnergyPotts
    - otb::MRFOptimizer
    - otb::MRFOptimizerICM
    - otb::MRFOptimizerMetropolis
    - otb::MRFSampler
    - otb::MRFSamplerMAP
    - otb::MRFSamplerRandom
    - otb::MRFSamplerRandomMAP
      Added related examples:
    - MarkovClassification1Example
    - MarkovClassification2Example
    - MarkovRegularizationExample
    - MarkovRestorationExample

*Projections
      Added Lambert 93 cartographic projection with
      otb::Lambert93Projection class

* Utilities:

  - Corrections on new SAR models integrated to OSSIM during release 2.2.0

OTB-v.2.2.0 - Changes since version 2.0.0 (2008/05/29)
--------------------------------------------------------


*BasicFilters:

      Added classes for data importation:
    - otb::ImportImageFilter
    - otb::ImportVectorImageFilter
      Added classes for image interpolation:
    - otb::WindowedSincInterpolateImageBlackmanFunction
    - otb::WindowedSincInterpolateImageCosineFunction
    - otb::WindowedSincInterpolateImageGaussianFunction
    - otb::WindowedSincInterpolateImageHammingFunction
    - otb::WindowedSincInterpolateImageLanczosFunction
    - otb::WindowedSincInterpolateImageWelchFunction
    - otb::ProlateInterpolateImageFunction
      Added class for resampling
    - otb::RationalQuotientResampleImageFilter
      Added classes for labelization
    - otb::LabelizeImageFilterBase
    - otb::LabelizeConfidenceConnectedImageFilter
    - otb::LabelizeConnectedThresholdImageFilter
    - otb::LabelizeNeighborhoodConnectedImageFilter

*Radiometry:

    - Bug fixed on otb::DEMCaracteristicExtractor

*Visu

    - Added histogram windows in otb::ImageViewer main class.
    - Added polygon drawing support in otb::ImageViewer main class

*IO:

    - Fixed bug in GDALImageIO to handle complex images
      Added classes for vector data use:
    - otb::VectorDataFileReader
    - otb::VectorDataFileWriter
    - otb::VectorDataIOFactory
    - otb::VectorDataSource

*Common:

      Added classes to handle vector data:
    - otb::Polygon
    - otb::VectorData
    - otb::DataNode

      Added classes to watch filter progression (ASCII mode):
    - otb::StandardFilterWatcher
    - otb::FilterWatcherBase

*Learning:

    - Creation otb::SVMKernels containing a list a useful kernel
      for SVM
    - Correction in Kohonen map classes
    - Added convenience methods in SVMModel class

      Added classification filters (streamed and threaded):
    - otb::SVMImageClassificationFilter
    - otb::SOMImageClassificationFilter
    - otb::KMeansImageClassificationFilter

*FeatureExtraction:

      Added implementation of Scalar Invariant Feature Transform
    - otb::ImageToSIFTKeyPointSetFilter

*MultiScale:

      Added mono and multi-scale convex/concave image classification
         based on geodesic morphology characteristics.
    - otb::ConvexOrConcaveClassificationFilter
    - otb::GeodesicMorphologyDecompositionImageFilter
    - otb::GeodesicMorphologyIterativeDecompositionImageFilter
    - otb::GeodesicMorphologyLevelingFilter
    - otb::ImageToProfileFilter
    - otb::MorphologicalClosingProfileFilter
    - otb::MorphologicalOpeningProfileFilter
    - otb::MultiScaleConvexOrConcaveClassificationFilter
    - otb::ProfileDerivativeToMultiScaleCharacteristicsFilter
    - otb::ProfileToProfileDerivativeFilter

*Utilities:

    - Updated the internal version of ITK to 3.6.0
    - Corrections on OSSIM integration
    - SVM library: creation of otb::ComposedKernelFunctor
      allowing composed kernels
    - Added SAR models in OSSIM library:
          . Radarsat 1 (SGX and SGF)
          . Envisat ASAR - SLC (IMS, APS) and PRI (IMP, APP)
          . ERS - SLC and PRI
          . Terrasar X - SLC and PRI
          . Cosmo-Skymed - SLC and PRI
          . Radarsat 2 - SLC and PRI
    - Bug fixed in CMake configuration
    - Added SIFT implementation in InsightJournal

*Applications:
    - Various Bug fix
    - otbConvertGeoToCartoPoint and otbConvertCartoToGeoPoint map
      precision enhancement
    - Added of histogram manipulation functionalities in
      otbImageViewer
    - Added of shape file functionalities and large image support in
      ICD application
    - Added otbConcatenateImages application to concatenate multiple
      image in the spectral domain
    - Added an unsupervised image classification application based
      on the KMeans algorithm (otbKMeansClassification)
    - Added an unsupervised image classification application based
      on the SOM algorithm (otbSOMClassification)
    - Added an unsupervised image classification application based
      on the SVM algorithm (otbSVMClassification)
    - Added an application to create a contiguous unsigned short
      labeled image from a colored labeled image
      (otbUnsignedShortRelabeling)
    - Added an application to create a colored labeled image from an
      unsigned short labeled image (otbRgbRelabeling)

*Examples:
    - Added SIFT example (otb)
    - Added SIFT example (ij)
    - Added LabelizeNeighborhoodConnected example
    - Added RationQuotientResample example

*Platforms:

    - Fixed some problems under Visual, Cygwin and MinGW platforms.


OTB-v.2.0.0 - Changes since version 1.6.0 (2007/12/14)
--------------------------------------------------------


*Projections

    - Bug correction in otb::OrthoRectificationFilter

*Fusion

    - Added simple Pansharpening algorithm
    - Fixed streaming bug on BayesianFusion filter

*Radiometry:

      Added classes for atmospheric correction using the 6S Radiative
      Transfer Code:
    - Luminance estimation otb::ImageToLuminanceImageFilter
    - Reflectance estimation TOA:
      otb::LuminanceToReflectanceImageFilter
    - Added Composite transform filter:
      otb::ImageToReflectanceImageFilter,
        equivalent to the pipeline process ImageToLuminanceImageFilter
        and LuminanceToReflectanceImageFilter filters
    - Reflectance estimation TOC:
      otb::ReflectanceToSurfaceReflectanceImageFilter
    - 6S effect correction:
      otb::SurfaceAdjacencyEffect6SCorrectionSchemeFilter
    - DEM slope and shading estimations:
      otb::DEMCaracteriticsExtractor

*Common:

    - Added otb::UnaryFunctorNeighborhoodVectorImageFilter
    - Fixed bug on otb::ExtractROIBase class

*IO:

    - Bug fixed on otb::VectorImage class

*BasicFilters:

    - Bug correction in otb::StreamingStatisticsVectorImageFilter,
      otb::StreamingStatisticsImageFilter,StreamingMatrixTransposeMatrixImageFilter
    - Added PrintableImageFilter
    - Fixed bugs on otb::FrostImageFilter and otb::LeeImageFilter

*Utilities:

    - Fixed memory allocation bug on svm.cxx file
    - 4 files from ITK 3.4.0 have been replaced by the cvs version
      to allow
      correct use of the itkDivideImageFilter.h with VectorImage. These
      files
      are:
          Common/itkNumericTraitsVariableLengthVectorPixel.h
          Common/itkNumericTraitsVariableLengthVectorPixel.cxx
          Common/itkConceptChecking.h
          BasicFilters/itkDivideImageFilter.h

*Examples

    - Tutorials: Added OrthoFusion example
    - Radiometry: Added AtmosphericCorrectionSequencement example

*Applications:

    - Rename Pireo application to otbPireo
    - Added transform coordinate point applications:
      otbConvertCartoToGeo
      otbConvertGeoToCarto
    - Pireo corrections in CMakeLists.txt (GUI dir source code) and
      source code (suppress of call VnlModifiedOptimizer class)

*Platforms:

    - Fixed some problems under Visual and MinGW platforms.



OTB-v.1.6.0 - Changes since version 1.4.0 (2007/10/25)
--------------------------------------------------------

*BasicFilters:

    - Added StreamingVectorStatisticsImageFilter to compute
      the second order stastics on a large vector image.

    - Added the MatrixTransposeMatrixImageFilter to compute
      the product of the matrix of vector pixels from image 1
      in rowwith the the matrix of vector pixels from image 2
      columns for large vector image.

       - Added the otb::VectorImageTo3DScalarImageFilter which transforms
         a vector image into a 3D scalar image where each band is
         represented
         in a layer of the 3rd dimension.

       - Added the otb::ImageListToVectorImageFilter and
         otb::VectorImageToImageListFilter to convert a vector image
         from/to an image list.

       - Added the otb::ImageListToImageListApplyFilter which applies
         a given
         scalar image filter to a list of images

       - Added the otb::PerBandImageFilter, which applies a given
         scalar filter
         to each band of a VectorImage. This is not the optimal way for most
         processings but it allows the use of almost every scalar filter on
         vector images.

       - Added the otb::StreamingResampleImageFilter, which is a
         streaming capable
         version of the itk::ResampleImageFilter.

*ChangeDetection:

    - Added the otb::KullbackLeiblerDistanceImageFilter to compute the
      Kullback-Leibler distance between two images.

    - Added the otb::KullbackLeiblerProfileImageFilter to perform a
      multi-scale change detection using the Kullback-Leibler distance.


*Common:

    - Added an otb::Polygon, which represents a closed polyline
      on which
      intersection or point interiority can be tested.

*IO:

    - Added an otb::DEMHandler to fetch the elevation value in
      SRTMor DTED
        directories.

    - Added an otb::DEMToImageGenerator to generate an elevation map.

    - Added a new tiling streaming mode.

    - Added the otb::ImageGeometryHandler, which allows handling
      seamlessly
      the image geometry information.

    - Fixed a bug in the otb::MSTARImageIO.

*Learning:

    - Added methods to access the alpha values, the number of
      support vectors,
      the support vectors themselves, the distance to the hyperplanes.

    - Added the otb::SEMClassifier, implementing the Stochastic
      Expectation
      Maximization algorithm to perform an estimation of a mixture
      model.

*MultiScale:

    - Various name changes and bugfixes in the morphological pyramid
      segmentation classes.

*Radiometry:

    - The 6S Transfer Radiative Code compiles within OTB.
    - Added the Radiometry directory, containing everything that
      has to do
      with image radiometry.
    - Added the NDVI and ARVI (3 input bands) vegetation index
      filters.

*Projections:

    - Added the Projections directory, containing everything that
      has to do
      with image projections.

    - Added an otb::DEMHandler to fetch the elevation value in
      SRTM/DTED
        directories.

    - Added an otb::DEMToImageGenerator to generate an elevation map.

    - Added an otb::OrthoRectificationFilter to perform
      orthorectification of
      geo-referenced images.

    - Added the forward and inverse sensor model projection.

    - Added several map projection transforms (Eckert4,
      LambertConformalConic,
      TransMercator, Mollweid, Sinusoidal, UTM)

*Fusion:

    - Added the Fusion directory, containing everything that has to do
      with image fusion.

    - Added the otb::BayesianFusionImageFilter, a pan-sharpening
      filter which
      algorithm has been kindly contributed by Julien Radoux.


*Documentation:

    - Added various documented examples in the SoftwareGuide for
      the new classes.

    - Added a Tutorial section in the SoftwareGuide.

*Utilities:

    - Added the 6S library which will soon play a role in the
      radiometry module.

    - Updated the internal version of ITK to 3.4.0.

*Platforms:

    - Fixed the random segfault of otbInteractiveChangeDetectionAppli
      under Visual 8.0.

*Applications:

    - Added the otbImageViewerManager application which allows
      opening multiple images,
      configure viewers and link displays.

    - Added the otbRoadExtraction which demonstrates the road
      extraction algorithm
      implemented in the FeatureExtraction module.

    - Added the otbOrthoRectifAppli application which allows
      ortho rectifying images in
      command line using the brand new Projections module of the Orfeo
      ToolBox. Old rigid
      orthoo rectification application has been moved to
      otbPseudoOrthoRectif.

    - Added an option in CMakeLists.txt to use VTK or not (enable
      or disable the
      following application).

    - Added the Pireo registration application (VTK needed).


OTB-v.1.4.1 - Changes since version 1.4.0
--------------------------------------------------------

*Platforms:
    - Minor corrections of main ./CMakeLists.txt to support users
      applications using OTB
        install directory when using internal ITK.

OTB-v.1.4.0 - Changes since version 1.2.1
--------------------------------------------------------

*IO:

    - Added the LineSpatialObject class.

    - Added the ArcSpatialObject class.

    - Added a DXF file reader to read spatial objects from DXF files.

*Common:

    - Added a PolylineParametricPathWithValue class, to store a
      scalar value along with
        a polyline.

    - DrawPathFilter and DrawPathListFilter can now use the internal
      scalar values of the path(if present) as a value to draw the path.

    - Improved performances of the DrawPathFilter and
      DrawPathListFilter.

    - Added the base class
      otbBinaryFunctorNeighborhoodVectorImageFilter (see
      ChangeDetection)

*BasicFilters:

    - Added the ImportGeoInformationImageFilter providing a workaround
      for metadata handling in pipeline execution.

    - Added a VectorRescaleIntensityImageFilter, which rescales
      a vector
      image on a per-band basis, clamping a user-defined percent of the
      pixels lowest and highest values.

    - Added a filter to compute spectral angle distance image with
      respect to a reference pixel.

*FeatureExtraction:

    - Added a set of image and path filters to perform road
      extraction.

    - Added a composite filter to perform road extraction.

*ChangeDetection:

    - Added the Kullback-Leibler distance change detector with optimized
      algorithm.

    - Added a Kullback-Leibler multi-scale change profile image filter
      with optimized algorithm.

*DisparityMap:

    - Added the DisparityMapEstimationMethod, performing local
      disparity
      estimation with respect to a given transform using the ITK
      registration framework.

    - Added several methods for deformation field estimation from
      the estimated disparity map (represented as a pointset with
      associated point data).

*Documentation:

    - Corrected several warning and French comments in doxygen.

*Utilities:

    - Split of the OSSIM lib to support compilation on the mingw
      platform.

    - DXFlib integration.

    - InsightJournal code integration :
      ScatteredDataPointSetImageFilter.

*Platforms:

    - Corrected runtime errors of the interactive change detection
      application under cygwin.

    - Workaround for ImageViewer on very specific mandrake version.


OTB-v.1.2.1 - Changes since version 1.2.0
--------------------------------------------------------

*IO:
    - Improved support of geographic meta data handling in pipeline
      execution.

*BasicFilters:
    - Added a cast filter otb::ImageToVectorImageCastFilter to convert
        otb::Image (templated with scalar pixel types) to
        mono-channel otb::VectorImage.

*FeatureExtraction:
    - Added a contour extraction filter otb::ImageToEdgePathFilter.

*Visualization:
    - Viewer accepts now otb::Image (templated with scalar pixel types)
        as well as otb::VectorImage.
    - Added FlRun() method to the Viewer, which execute Show() method from
        the Viewer followed by the Fl::run() method from FLTK.

*Platforms:
    - Minor correction of otb::ObjectList and otb::List in order
      to support
            visual 7.0 compiler.

*Experimental:
    - Support for python binding compilation including itk binding
        templated with OTB images, OTB IO and OTB Image viewer.
    - OSSIM has been integrated in the OTB Utilities directory to
        prepare its future use in new geometric features.


OTB-v.1.2.0 - Changes since version 1.0.2
--------------------------------------------------------

*Platforms:
    - OTB can now been compiled on several new platforms :
      - SunOS 5.8 (32bits and 64bits).

    - Improved robustness of
      - the Microsoft Visual Studio .NET 2003 (7.1), .NET 2005 (8.0)
      - the Cygwin and MinGW installation.

*Common:

    - Various bug fixes and warning corrections.

    - Added support for ObjectList (ie SmartPointers) and thus
        support for ImageList.

    - Added base classes for image to image list filters, image
        list to image filters, image list to image list filters.

    - Precision for internal calculus has been tuned to double in
        every filter.

*Multiscale:

    - Added filters for multiscale analysis and synthesis based on
        the morphological pyramid algorithm.

    - Added automated region-growing multiscale segmentation
        algorithm based on the morphological pyramid analysis.

*Spatial Reasoning:

    - Added support for graph representation of RCC8 spatial
         reasoning relationships.

    - Added filters for atomic RCC8 computation based on two
        segmented regions.

    - Added filter for multiscale segmentation to RCC8 graph
        calculation with optimisations.

*IO:

    - Added full support (reading and writing) of the HFA image
        format (ERDAS img files).

     - Bug fixes on metada writing (now works for tif and HFA
         formats, limited support envi header file formats due to
         Gdal limitations).

    - Bug fixes on memory management in the Reader.

    - Bug fixes related to the IO framework on MS Windows platforms.

*Learning:

    - Added filters for learning, classification and activation
        map of data sets using Kohonen's self organizing maps.

*Visualization:

    - Re-factoring of the base classes for visualization.

    - Re-factoring of the viewer object (and viewer apps). The
        viewer can now be used to visualised large remote-sensing
        images (Quickbird, Spot5) with limited memory footprint.


*Applications:

    - Minor changes needed for the portability of OTB-Applications.

    - Added a viewer application in OTB-Applications.

    - Added a interactive change detection application in
      OTB-Applications.


OTB-v.1.0.2 - Changes since version 1.0.1
--------------------------------------------------------

- OTB can now been compiled on several new platforms :
       - Microsoft Visual Studio .NET 2005 (8.0).
       - Cygwin.
       - MinGW on Windows platform.

- LUM and BSQ formats have been added.


Note : On MS Windows platforms, if you have any problem related
         to using the OTB's internal version of ITK, you could try to use
         an external version of ITK (use ITK 2.6 or later) by setting
         OTB_USE_EXTERNAL_ITK to ON and ITK_DIR to the directory where
         your ITK built resides.


OTB-v.1.0.1 - Changes since version 1.0.0
--------------------------------------------------------

- Building the visualization functionalities is now an option
    (OTB_USE_VISU variable within CMake). This allows you to build OTB
    without Fltk and Open GL.

- Improved robustness of the Microsoft Visual Studio .NET 2003 (7.1)
installation.

- Minor changes needed for the portability of OTB-Applications.

- Bugfixes related to the IO framework on MS Windows platforms.
